$STITLE Input file: DIAGNOSTICS.gms. SAINT CGE modeling system 1.01

$ontext

This is an include file for SAINTBASE.GMS. It displays and generates
information that may be useful when debugging a model. Some of this
information was generated in SAINTBASE.GMS and its include files. Some of
the information is created in this file.

$offtext


$ontext

COMMENTS ON THE INFORMATION THAT APPEARS IN THE FILE DIAGNOSTICS.gms
====================================================================

This file includes the following sections (with searchable headings):

1. ILLEGAL TAXES AND TRADE MARGINS
Error messages if the submatrices on taxes and trade margins are not consistant
with the SAM.

2. ILLEGAL SAM PAYMENTS OR VALUES

Error message if illegal payment flows appear in SAM
(which simply may reflect errors in data entry). Solutions if errors are
generated:
(1) change/restructure the SAM (typically the preferred approach);
(2) restructure the model (typically more complicated).

The model structure assumes that imports are not reexported, i.e. that
exports stem from domestic production. Accordingly, an error message is
generated if, for any commodity, exports exceeds domestic production.
Solutions if errors are generated:
(1) if there is data error, correct it; this could e done using
    the nettrade procedure.
(2) if substantial reexportation takes place, create a reexporting
    activity that, as inputs, use primary factors and an imported
    intermediate commmodity without domestic production. All of its outputs
    should be exported.


3. SAMBALCHK

If the SAM that is used as the model database is unbalanced, the model
will fail to replicate the SAM and may not solve. Thus you must start from a
balanced SAM


4. NEGCELL

For a subset of the cells, negative entries are legal. However, entries
that are negative as a result of coding mistakes are a common source of
errors. The two-dimensional NEGCELL set has elements for all cells with
negative entries. Verify that there are no errors.


5. MAXCELL, MINCELL, LARGECELL AND SMALLCELL

A badly scaled SAM may make it more difficult to solve the model. The
parameters MAXCELL and MINCELL displays the maximum and minimum absolute
cell values in the SAM. The two-dimesional sets LARGECELL and SMALLCELL
indicate the payments flows in the SAM that are 'large' and 'small',
respectively.

If the value of MAXCELL exceeds 10**3 the user may consider
rescaling the SAM. This could be done in OPTIONSBASE.GMS

Rescaling will reduce small cell values which may be another source of
difficulties. The user may consider to replace these with zeros. This
could for example be done using the SAMMAN parameter in the indata file.


6. SMALL TRADE AND VALUE-ADDED SHARES

On the basis of the information in the SAM, model parameters define
--commodity trade shares (for each commodity, the share of exports in
total output, and the shares of import in total domestic demand); and
--activity value-added shares (the share of each factor in the value-added
of each activity in which the factor is used).

If these shares are small (let's say smaller than 0.001), evaluation
errors are likely.

If trade shares are small, one remedy is to eliminate the payment from
the SAM (since it is small, it is typically unlikely to have much
influence on the results). The same approach may be applied for the case
of small value-added shares. For both trade and value-added shares, the
problem may be mitigated if the SAM is aggregated (across activities,
commodities and/or factors).

Similarly, the presence of activities that have a very small share of
total economywide value-added may be a source of errors since such
activities tend to have very small quantities for factor demands,
intermediate demands, and output. In this case, the recommended action
is to aggregate across activities.




7. MISSING OR INCORRECT NON-SAM DATA

Error messages will be generated if data are missing or incorrect.
Examples of sources of errors: missing trade or production elasticities;
data for factor quantity use only supplied for a subset of the
activities that, according to the SAM, use a given factor; non-SAM share
data that should sum to unity do not.

$offtext
*1. ILLEGAL TAXES AND TRADE MARGINS============================


*TESTING CONSISTENCY IN SUBMATRICES

PARAMETERS
 ERRUSE1(C,P)   matrix to discovers inconsistency in TMMAT
 ERRUSE2(C,P)   matrix to discovers inconsistency in TQMAT
 ERRUSE3(C,P)   matrix to discovers inconsistency in TVMAT
 ERRUSE4(C)     matrix to discovers inconsistency in BINVMAT
 ERRUSE5(C,A)   matrix to discovers inconsistency in TMINV
 ERRUSE6(C,A)   matrix to discovers inconsistency in TQINV
 ERRUSE7(C,A)   matrix to discovers inconsistency in TVINV
 ERRUSE8(C)     matrix to discovers inconsistency in TMINV
 ERRUSE9(C)     matrix to discovers inconsistency in TQINV
 ERRUSE10(C)    matrix to discovers inconsistency in TVINV
 ERRNEGBINV(C,A) matrix to discovers negatives in BINVMAT
 ERRBUS1(C,P)   create errormessage if inconsistency in TMMAT
 ERRBUS2(C,P)   create errormessage if inconsistency in TQMAT
 ERRBUS3(C,P)   create errormessage if inconsistency in TVMAT
 ERRBUS4(C)     create errormessage if inconsistency in BINVMAT
 ERRBUS5(C,A)   create errormessage if inconsistency in TMINV
 ERRBUS6(C,A)   create errormessage if inconsistency in TQINV
 ERRBUS7(C,A)   create errormessage if inconsistency in TVINV
 ERRBUS8(C)     create errormessage if inconsistency in TMINV
 ERRBUS9(C)     create errormessage if inconsistency in TQINV
 ERRBUS10(C)    create errormessage if inconsistency in TVINV
 ERRBNEGBINV(C,A) matrix to discovers negatives in BINVMAT
;


 ERRUSE1(C,P) $(TMMAT(C,P) GT 0 AND SAM(C,P)=0)   = TMMAT(C,P)   ;
 ERRUSE2(C,P) $(TQMAT(C,P) GT 0 AND SAM(C,P)=0)   = TQMAT(C,P)    ;
 ERRUSE3(C,P) $(TVMAT(C,P) GT 0 AND SAM(C,P)=0)   = TVMAT(C,P)    ;
 ERRUSE4(C) =  SUM(A, BINVMAT(C,A))-SAM(C,'S-I')                  ;
 ERRUSE4(C) $(ABS(ERRUSE4(C)) LT 1)  = 0                           ;
 ERRNEGBINV(C,A)$(BINVMAT(C,A) LT 0)  = 1                           ;
 ERRUSE5(C,A) $(TMINV(C,A) GT 0 AND BINVMAT(c,a)=0)   = TMINV(C,A)   ;
 ERRUSE6(C,A) $(TQINV(C,A) GT 0 AND BINVMAT(c,a)=0)   = TQINV(C,A)    ;
 ERRUSE7(C,A) $(TVINV(C,A) GT 0 AND BINVMAT(c,a)=0)   = TVINV(C,A)    ;

 ERRBUS1(C,P)  $(ERRUSE1(C,P))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TMMAT has to be adjusted to 0"
"I.E subtract this matrix from TMMAT"
erruse1;

 ERRBUS2(C,P)  $(ERRUSE2(C,P))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TQMAT has to be adjusted to 0"
"I.E subtract this matrix from TQMAT"
erruse2;

 ERRBUS3(C,P)  $(ERRUSE3(C,P))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TVMAT has to be adjusted to 0"
"I.E subtract this matrix from TVMAT"
erruse3 ;

 ERRBUS4(C) $(ERRUSE4(C))   = 1/0;
DISPLAY
"OBS!! if any element in the vector below is not equal to zero"
"the corresponding row in BINVMAT has to be adjusted in order to sum"
"to the corresponding element in SAM(C,'S-I')"
"Alternative correction; add the numbers below to SAM(C,'S-I')"
erruse4;

 ERRBNEGBINV(C,A) $(ERRNEGBINV(C,A))   = 1/0;
DISPLAY
"OBS!! if any element in the vector below is not equal to zero"
"the corresponding element in BINVMAT is negative and has to be corrected"

ERRNEGBINV;

 ERRBUS5(C,A)  $(ERRUSE5(C,A))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TMINV has to be adjusted to 0"
"I.E subtract this matrix from TMINV"

erruse5;

 ERRBUS6(C,A)  $(ERRUSE6(C,A))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TQINV has to be adjusted to 0"
"I.E subtract this matrix from TQINV"
erruse6 ;

 ERRBUS7(C,A)  $(ERRUSE7(C,A))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding element in TVINV has to be adjusted to 0"
"I.E subtract this matrix from TVINV"
erruse7 ;

 ERRUSE8(C) =  SUM(A, TMINV(C,A))-TMMAT(C,'S-I')                  ;
 ERRUSE8(C) $(ABS(ERRUSE8(C)) LT 1)  = 0                           ;
 ERRUSE9(C) =  SUM(A, TQINV(C,A))-TQMAT(C,'S-I')                  ;
 ERRUSE9(C) $(ABS(ERRUSE9(C)) LT 1)  = 0                           ;
 ERRUSE10(C) =  SUM(A, TVINV(C,A))-TVMAT(C,'S-I')                  ;
 ERRUSE10(C) $(ABS(ERRUSE10(C)) LT 1)  = 0                           ;
 ERRBUS8(C)  $(ERRUSE8(C))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to zero"
"the corresponding row in TMINV has to be adjusted in order to sum"
"to the corresponding element in TMMAT(C,'S-I')"
"Alternative correction; add the numbers below to TMMAT(C,'S-I')"
erruse8;

 ERRBUS9(C)  $(ERRUSE9(C))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to zero"
"the corresponding row in TQINV has to be adjusted in order to sum"
"to the corresponding element in TQMAT(C,'S-I')"
"Alternative correction; add the numbers below to TQMAT(C,'S-I')"
erruse9 ;

 ERRBUS10(C)  $(ERRUSE10(C))  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to zero"
"the corresponding row in TVINV has to be adjusted in order to sum"
"to the corresponding element in TVMAT(C,'S-I')"
"Alternative correction; add the numbers below to TVMAT(C,'S-I')"
erruse10

*TESTING CONSISTENCY IN SUBMATRICES-other

PARAMETER

TMTEST(P)     matrix to discovers inconsistency in TMMAT totals
TQTEST(P)     matrix to discovers inconsistency in TQMAT totals
TVTEST(P)     matrix to discovers inconsistency in TVMAT totals
ERRTMTEST(P)  create errormessage if inconsistency in TMMAT totals
ERRTQTEST(P)  create errormessage if inconsistency in TQMAT totals
ERRTVTEST(P)  create errormessage if inconsistency in TVMAT totals
 ;

TMTEST(P) =  SAM('TMT',P)  - SUM(C, TMMAT(C,P))  ;
TQTEST(P)  =  SAM('TQT',P)  - SUM(C, TQMAT(C,P))  ;
TVTEST(P)  =  SAM('TVT',P)  - SUM(C, TVMAT(C,P))  ;


TMTEST(P)$(ABS(TMTEST(P)) LT 0.0000001) = 0     ;
TQTEST(P)$(ABS(TQTEST(P)) LT 0.0000001) = 0      ;
TVTEST(P)$(ABS(TVTEST(P)) LT 0.0000001) = 0      ;


ERRTMTEST(P)$(TMTEST(P) )  = 1/0;



DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding column total in TMMAT is not consistant"
"with the SAM and you have to subtract the matrix below"
"from SAM('TMT',P) or adjust TMMAT"
TMTEST ;
ERRTQTEST(P)$(TQTEST(P) )  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding column total in TQMAT is not consistant"
"with the SAM and you have to subtract the matrix below"
"from SAM('TQT',P) or adjust TQMAT"
TQTEST ;
ERRTVTEST(P)$(TVTEST(P) )  = 1/0;
DISPLAY
"OBS!! if any element in the matrix below is not equal to 0"
"the corresponding column total in TVMAT is not consistant"
"with the SAM and you have to subtract the matrix below"
"from SAM('TVT',P) or adjust TVMAT"
TVTEST
;


*2. ILLEGAL SAM PAYMENTS OR VALUES============================

PARAMETER
 ERRSAMFLOW(AC,ACP) if UNDF -- illegal SAM payment from 2nd index to 1st
 ERREXPOUT(C)       if UNDF -- exports exceed domestic output for comm c
 ;

*Activities (A) are not permitted to pay to institutions (INS) or other
*activities (AP).
 ERRSAMFLOW(INS,A)$SAM(INS,A)     = 1/0;
 ERRSAMFLOW(AP,A)$SAM(AP,A)       = 1/0;

*Commodities (C) are not permitted to pay to factors (F) or domestic
*institutions (INSD).
 ERRSAMFLOW(F,C)$SAM(F,C)         = 1/0;
 ERRSAMFLOW(INSD,C)$SAM(INSD,C)   = 1/0;

*Factors (F) are not permitted to pay to activities (A), commodities (C)
*or other factors (FP).
 ERRSAMFLOW(A,F)$SAM(A,F)         = 1/0;
 ERRSAMFLOW(C,F)$SAM(C,F)         = 1/0;
 ERRSAMFLOW(FP,F)$SAM(FP,F)       = 1/0;

*Domestic institutions (INSD) are not permitted to pay to factors (F).
 ERRSAMFLOW(F,INSD)$SAM(F,INSD)   = 1/0;

*Government (GOV) and the rest of the world (ROW) are not permitted to
*pay to activities (A).
 ERRSAMFLOW(A,'GOV')$SAM(A,'GOV') = 1/0;
 ERRSAMFLOW(A,'ROW')$SAM(A,'ROW') = 1/0;



SET
 SIREC(AC) set for elements permitted to receive payment from S-I;
 SIREC(C) = YES;
 SIREC('DSTK') = YES;
 SIREC('TMT') = YES;
 SIREC('TQT') = YES;
 SIREC('TVT') = YES;


*Savings-investment (S-I) account is only permitted to pay to accounts
*for commodities (C) trade margins (TMT) taxes(TX) and stock change (DSTK)
 ERRSAMFLOW(ACNT,'S-I')$(SAM(ACNT,'S-I') AND (NOT SIREC(ACNT)))     = 1/0;

*Savings-investment (S-I) account is only permitted to receive payments
*from institutions (INS) This code only works if all institutions is includd in P
 ERRSAMFLOW('S-I',P)$(SAM('S-I',P) AND (NOT INS(P)))                = 1/0;
 ERRSAMFLOW('S-I',ACNT)$(SAM('S-I',ACNT) AND (NOT P(ACNT)))         = 1/0;

*Stock change account (DSTK) is only permitted to receive payments from
*savings-investment (S-I) and make payments to commodities (C).
 ERRSAMFLOW('DSTK',ACNT)$(SAM('DSTK',ACNT) AND (NOT ACNT('S-I')))   = 1/0;
 ERRSAMFLOW(ACNT,'DSTK')$(SAM(ACNT,'DSTK') AND (NOT C(ACNT)))       = 1/0;

*It is illegal to have import tariffs for commodities without imports
 ERRSAMFLOW('IMPTAX',C)$(SAM('IMPTAX',C) AND (NOT SAM('ROW',C)))    = 1/0;

*It is illegal to have export taxes for commodities without exports
 ERRSAMFLOW('EXPTAX',C)$(SAM('EXPTAX',C) AND (NOT SAM(C,'ROW')))    = 1/0;

*Factax should not be payed from capital acount but from 'STOCK'
 ERRSAMFLOW('FACTAX',FCAP)$(SAM('FACTAX',FCAP) )                    = 1/0;

*capital return should not be distributed directly to households but to 'STOCK'
 ERRSAMFLOW(H,FCAP)$(SAM(H,FCAP) )                                  = 1/0;

*Value of exports is greater than the value of domestic production. Note that
*exports can equal to value of domestic production, so test includes 1E-6.
 ERREXPOUT(C)$(SAM(C,'ROW') GT (SUM(A, SAM(A,C)) + SAM('EXPTAX',C) +  1.E-6)) = 1/0 ;


DISPLAY
"if UNDF you have a number in a SAM cell that"
"should be empty and must reorganize your data"
 ERRSAMFLOW
 ERREXPOUT
"The model structure assumes that exports are produced domestically,"
"i.e., not reexported imports. The model will not work if exports"
"exceed domestic output."
"The problem could be solved by activating NETTRADE.INC"
;


*3. SAMBALCHK=================================================

PARAMETER
 SAMGAPCUTOFF  max acceptable abs gap bt model SAM row and col totals
 ERRSAMBAL(AC) if UNDF -- the absolute imbalance for AC exceeds cutoff
 ;

 SAMGAPCUTOFF = 1.0e-3;

 ERRSAMBAL(AC)$(ABS(SAMBALCHK(AC)) GT SAMGAPCUTOFF) = 1/0;

DISPLAY
 SAMBALCHK

 SAMGAPCUTOFF
 ERRSAMBAL
"Note: If the SAM that is used as the model database is unbalanced"
"the model will fail to replicate the SAM and may not solve."
"Here absolute imbalance values in excess of the value of SAMGAPCUTOFF"
"generate an error for the parameter ERRSAMBAL."
 ;


*4. NEGCELL===================================================

$ontext
Check on negative SAM entries It is legal to have negative entries in a
SAM. However, entries that are negative as a result of coding mistakes
are a common source of errors. The following set has elements for all
cells with negative entries. Verify that there are no errors.
$offtext

SET
 NEGCELL(AC,ACP) the SAM payment from ACP (column) to AC (row) is negative
 ;

 NEGCELL(AC,ACP)$(SAM(AC,ACP) LT 0) = YES;

DISPLAY
 NEGCELL
"Note: Unintended negative cell entries can be a source of errors."
 ;

*Not allowed negative cells
Parameter
 ERRNEGCELL(AC,ACP)   errormessages if negative values when not allowed

 ;
*Activities cannot use negative amount of interemdiate inputs or labour
*capital return may be negative if the economy are not in long run equilibrium.
 ERRNEGCELL(C,A)$(SAM(C,A) LT 0)  = 1/0;
 ERRNEGCELL(FLAB,A)$(SAM(FLAB,A) LT 0)  = 1/0;
*activities cannot prouduce negative quantities
 ERRNEGCELL(A,C)$(SAM(A,C) LT 0)  = 1/0;

display "if UNDF you have not allowed negative values in your SAM", ERRNEGCELL  ;
*5. MAXCELL, MINCELL, LARGECELL AND SMALLCELL=================

$ontext

A badly scaled SAM may make it more difficult to solve the model. The
following segment generates information about maximum and minimum
absolute cell values as well as the location of large and small cells.
Note that no action is taken and no errors generated. This section only
provides information.



$offtext

SCALAR
 MAXCELL     maximum absolute cell value in SAM (excluding totals)
 MINCELL     minimum absolute non-zero cell value in SAM
;

 MAXCELL = SMAX((ACNT,ACNTP), ABS( SAM(ACNT,ACNTP) ));
 MINCELL = SMIN((ACNT,ACNTP)$SAM(ACNT,ACNTP), ABS( SAM(ACNT,ACNTP) ));


SET
 LARGECELL(AC,ACP) cells with absolute values larger than cellcutoffup
 SMALLCELL(AC,ACP) cells with absolute values smaller than cellcutofflo
 ;

PARAMETER
 cellcutoffup absolute cell values above cutoff are displayed as large
 cellcutofflo absolute cell values below cutoff are displayed as small
 ;

*No cells are large if cellcutoffup is set at +INF.
*cellcutoffup = +INF;
 cellcutoffup = 1000;

*No cells are small if cellcutofflo is set at zero.
*cellcutofflo = 0;
 cellcutofflo = 0.01;

 LARGECELL(AC,ACP)$(ABS(SAM(AC,ACP)) GT cellcutoffup) = YES;

 SMALLCELL(AC,ACP)$(SAM(AC,ACP) AND (ABS(SAM(AC,ACP)) LT cellcutofflo))
   = YES;


DISPLAY
 MAXCELL, MINCELL, LARGECELL, SMALLCELL, cellcutoffup, cellcutofflo
"Note: A (badly scaled) SAM with very large and/or very small (absolute)"
"cell values can be a source of errors. 'Large' and 'small' values are"
"perhaps best defined as larger and smaller than 10000 and 0.01, resp."
"Here cells with values above/below cellcutoffup/cellcutofflo are"
"defined as large/small."
"The problem may be solved by using the scaling parameter in the options"
"section of SAINTBASE. However if you have both large and small cells"
"the small cells must first be set to zero"
 ;


*6. SMALL TRADE AND VALUE-ADDED SHARES========================

PARAMETERS
 ACTFACSHR(F,A) small share of factor f in total value-added of activity a
 ACTVASHR(A)    small share of activity a in total economywide value-added
 EXPSHR(C)      small share of exports in total output of commodity c
 IMPSHR(C)      small share of imports in total domestic demand for commodity c
 ;

 ACTFACSHR(F,A)$SUM(FP, SAM(FP,A)) = SAM(F,A) / SUM(FP, SAM(FP,A));
 ACTVASHR(A)    = SUM(F, SAM(F,A)) / SUM((F,AP), SAM(F,AP));

 EXPSHR(C)$SUM(A, SAM(A,C))
  = SAM(C,'ROW')  / SUM(A, SAM(A,C));

 IMPSHR(C)$(SAM(C,'TOTAL') - SAM(C,'ROW'))
  = SAM('ROW',C)  / (SAM(C,'TOTAL') - SAM(C,'ROW'));


SET
 SHRITEM items for which shares and cutoffs are defined
 /FAC factor in activity, VA value-added, EXP exports , IMP imports/

PARAMETER
 SHRCUTOFF(SHRITEM)  upper limit for shares values that are displayed
 ;
 SHRCUTOFF('FAC') = 0.05;
 SHRCUTOFF('VA')  = 0.02;
 SHRCUTOFF('EXP') = 0.05;
 SHRCUTOFF('IMP') = 0.05;

*If SHRCUTOFF is set at 1 or larger, no shares are eliminated from display
*SHRCUTOFF(SHRITEM) = 1;

*Eliminating shares that are above the cutoff from display.
 ACTFACSHR(F,A)$(NOT (ACTFACSHR(F,A) LT SHRCUTOFF('FAC'))) = 0;
 ACTVASHR(A)$(NOT (ACTVASHR(A) LT SHRCUTOFF('VA')))        = 0;
 EXPSHR(C)$(NOT (EXPSHR(C) LT SHRCUTOFF('EXP')))           = 0;
 IMPSHR(C)$(NOT (IMPSHR(C) LT SHRCUTOFF('IMP')))           = 0;

DISPLAY
SHRCUTOFF
"Small shares may be a source of function evaluation errors in model"
"simulations. For the following parameters (ACTFACSHR, ACTVASHR,"
"EXPSHR, IMPSHR), shares smaller than SHRCUTOFF shrcutoff are defined"
"as 'small'."
""
ACTFACSHR, ACTVASHR, EXPSHR, IMPSHR,
"'Small' shares are displayed for ACTFACSHR, ACTVASHR, EXPSHR, IMPSHR."
;


*7. MISSING OR INCORRECT NON-SAM DATA=========================

*Error messages will be generated if data are missing or incorrect.

PARAMETERS
 ERRQFBASE1(F,A)         demand specified for factor but no SAM payment
 ERRQFBASE2(F,A)         demands specified but missing for f-a combination in SAM
 ERRTRADE(C,TRDELAS)     commodities with missing trade elas
 ERRPROD1(A)             activities with missing factor substitut elas
 ERRLES1(CGH,H)          CGH with missing hhd cons elas
 ERRCES1(CGH,H)          CGH with missing within elasticity

  ;




*Parameter with missing data: SAM (or error in QFBASE)
 ERRQFBASE1(F,A)$(QFBASE(F,A)$(NOT SAM(F,A))) = 1/0;

*Parameter with missing data: QFBASE
 ERRQFBASE2(F,A)
   $(SAM(F,A)$((NOT QFBASE(F,A))$SUM(AP, QFBASE(F,AP)))) = 1/0;

*Parameter with missing data: TRDELAS
 ERRTRADE(C,'SIGMAQ')$((CM(C)AND CD(C))$(TRADELAS(C,'SIGMAQ')EQ 0)) = 1/0;
 ERRTRADE(C,'SIGMAT')$((CE(C)AND CD(C))$(TRADELAS(C,'SIGMAT')EQ 0)) = 1/0;

*Parameters with missing data: PRODELAS and-or PRODELAS2
 ERRPROD1(A)$(PRODELAS(A,'SIGMASC') EQ 0)        = 1/0;
 ERRPROD1(A)$(PRODELAS(A,'SIGMASUB') EQ 0)        = 1/0;
 ERRPROD1(A)$(PRODELAS(A,'SIGMASUBI') EQ 0)        = 1/0;
 ERRPROD1(A)$(PRODELAS(A,'SIGMALAB') EQ 0)        = 1/0;
 ERRPROD1(A)$(PRODELAS(A,'SIGMACAP') EQ 0)        = 1/0;


*Parameter with missing data: LESELAS1
 ERRLES1(CGH,H)$(SUM(C, usehcdef(C,CGH)*SAM(C,H))$(LESELAS1(CGH,H) EQ 0)) = 1/0;

*Parameter with missing data: CGHELAS
 ERRCES1(CGH,H)$(SUM(C, usehcdef(C,CGH)*SAM(C,H))$(CGHELAS(H,CGH) EQ 0)) = 1/0;

DISPLAY

 ERRQFBASE1, ERRQFBASE2, ERRCES1
 ERRTRADE, ERRPROD1,  ERRLES1 ;


*#*#*#*#*# THE END OF DIAGNOSTICS.INC #*#*#*#*
