$STITLE Input file: elas1_1lr.gms SAINT CGE modeling system 01pf01



*define the name of this file for reporting purpose
 SET
 INCELAS
 /
 elascom
 /
;
  elasfile('elascom') = 1  ;
$ontext

!!- In this includefile, the user inputs elasticities for consumption trade and production.
In case of privat consumption it is also possible to define a  specific neststructure.


Note that this file has to be consistent with your indata file in terms of numbers
of commodities. If you have several indata files you should thus have a specific set of
elas file for every specif indata file.

The file is divided into the following searchable blocks:

1. ELASTICITIES AND NEST STRUCTURE FOR HOUSEHOLD CONSUMPTION
2. TRADE ELASTICITIES
3. PRODUCTION FUNCTIONS

$offtext

*1. ELASTICITIES AND NEST STRUCTURE FOR HOUSEHOLD CONSUMPTION #################


*Household aggregate consumption function, intercept as share of wealth
 cint(H) = 0.2;
*Household consumption nest structure====================


SET

*Define the different commodity groups here
CGH
 /
CH1
CH2
CH3
CH4
 /
 ;


*In the table below all commodities should be distributed to different aggregates
table usehcdef(C,CGH)    matrix to define the neststructure in consumption

            CH1           CH2            CH3          CH4
C1           1             0              0            0
C2           0             1              0            0
C3           0             0              1            0
C4           0             0              0            1
 ;



*=CHECK THE ROWSUMS IN ABOVE MATRIX=============================================
testhcdef(C)=    sum(CGH,   usehcdef(C,CGH))+0.1;
loop (C,
testhcdeft=testhcdef(C);
testhcdeftt $(testhcdeft>1.1) = 1/0;
testhcdeftt $(testhcdeft<1.1) = 1/0;
);
display
"if any element in the matrix below is not equal to 1.1 the corresponding row"
"in usehcdef does not sum to one and has to be adjusted"
 testhcdef;
*=END OF CHECK THE ROWSUMS IN ABOVE MATRIX======================================





*Household consumption elasticities====LES PART====================
*Note: The Frisch parameter is included in this section.


 FRISCH(H)       = -1;
*For an econometrically estimated functional relationship between the
*Frisch parameter and per-capita income based on cross-country data, see
*p. 248 in Lluch, Powell and Williams (1977). Patterns in Household
*Demand and Savings. London: Oxford University Press.

*The LES demand system permits the user to specify commodity-specific
*expenditure elasticities and household-specific Frisch parameters.
*(The Frisch parameter measures the elasticity of the marginal utility
*of income with respect to income.)
*If such information is not available the user may alternative specify
*all elasticities to be unity (as we do just below). If, in addition,
*the Frisch parameter is set at -1, the LES system collapses to a
*Cobb-Douglas system.




TABLE  LESELAS1(CGH,H) Exp'e elasticity of market dem for com group CGH by hhd h

            H1

CH1         1
CH2         1
CH3         1
CH4         1

;

*LESELAS1(CGH,H)   =  1;

*Household consumption elasticities==CES PART======================

*In the table below define tha elasticity of substitution within the different
*aggregates

TABLE CGHELAS(H,CGH) Elasticity of substitution within the aggregates

             CH1           CH2            CH3          CH4
H1           0.8           0.8            0.8          0.8

;


*2. TRADE ELASTICITIES ####################################################



table TRADELAS(AC,TRDELAS)    matrix to define the trade elasticities


 ;




*3. PRODUCTION FUNCTIONS ####################################################

*3.1 Substitutable intermediates nest structure==============================

* In the set below the commoditis that are substitutables when used as
* intermediate inputs should be defined. The rest of the commodities would
* automatically be included in CLEO(C).
SET

 CSUBI(C)  commodities substitutable when used as intermediate
 /
C1
C2
 /
*These are the only commodities that are used as intermediates.


*Define the different commodity groups here
* If you have substitutable commodities, i.e. if the above set is nonempty, this set
* must have at least one element. If it only have one element the elasticity
* PRODELAS(A,'SIGMASUBI') will have no impact on the model and could as well
* have the default value.
 CGA
 /
INTM
 /
;
 proddefcsubi(CSUBI,CGA)=1;
*If more than one element in the set CGA the above parameter has to be replaced
*by a table like the one below.
$ontext
Table proddefcsubi(CSUBI,CGA) matrix to define the neststructure of intermediates in production



*If any column of above matrix has the sum of one, the corresponding
*CPRODELAS(A,CGA) will have no impact on the model and could as well have its
*default value.

$offtext

*=CHECK THE ROWSUMS IN ABOVE MATRIX
 testdefcsubi(CSUBI)=    sum(CGA,   proddefcsubi(CSUBI,CGA))+0.1;
loop (CSUBI,
testdefcsubit(CSUBI)=testdefcsubi(CSUBI);
testdefcsubitt(CSUBI) $(testdefcsubit(CSUBI)>1.1) = 1/0;
testdefcsubitt(CSUBI) $(testdefcsubit(CSUBI)<1.1) = 1/0;
);
display
"if any element in the matrix below is not equal to 1.1 the corresponding row"
"in proddefcsubi does not sum to one and has to be adjusted"
 testdefcsubi;


*End off Substitutable intermediates nest structure=============================




*3.3 Elasticities===============================================================
*default values (do not change the following three line)
 CPRODELAS(A,CGA)          =  0.5 ;
 PRODELAS(A,PRDELAS)         =  0.5 ;


*Define specific elasticities here:
*if you want industry specific elasticities use a table.

*long run elasticities
 PRODELAS(A,'SIGMASC')         = 0.8;
 PRODELAS(A,'SIGMASUB')        = 0.8;
 PRODELAS(A,'SIGMASUBI')       = 0.8;
 PRODELAS(A,'SIGMALAB')        = 0.8;
 PRODELAS(A,'SIGMACAP')        = 0.8;
 CPRODELAS(A,'INTM')           = 0.8;




*parameter to define the "elasticity" of investments with respect to tobin q
 invpar(A,FCAP) = 1.5;
*parameter to define the return when net asset position abroad is equal to zero
  returnbal = 0.15;