
$STITLE Input file: indata.GMS. SAINT CGE modeling system 1.01

*The following parameter is used to document what indatafile that is used.
*If you produce own indatafiles replace indata1 below with the name of you file.

 SET
 INCDAT
 /
 indatacom
 /
;
 indatafile('indatacom') = 1    ;

$ontext

The file is divided into the following searchable blocks:
1. DESCRIPTION OF THE INDATA FILE
2. DATA MANIPULATION
3. SET DEFINITIONS
4. SAM WITH SUBMATRICES
5. PHYSICAL FACTOR QUANTITIES
6. PRICES


1. DESCRIPTION OF THE INDATAFILE
This indatafile where created in SAINTCALIB.gms.

2. DATA MANIPULATION:

Data manipulations are made in samman.dat



*3. SET DEFINITIONS #################################################


Instructions:

!!-1. In this section, the user should DEFINE all sets (by entering the
names of set elements). The only exception (which is signalled when
relevant) is for sets that are not invariably included in the SAM --
their element lists may be left blank. The user should NOT change set
names.


!!-2. The set AC has to include the following elements:


 TMT            trade margins

 INSTAX          direct taxes on domestic institutions
 EXPTAX          tax on exports
 FACTAX          direct tax on factors (soc sec tax)
 IMPTAX          import tariff
 TQT             quantity taxes on commodities
 TVT             value taxes on commmodities
 ACTTAX          activity tax

 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total





Comments on the above list:

a. The name TOTAL is also compulsory in the SAM.

b. If the SAM includes a government,the rest of the world, savings-
investment and/or stock changes, then the above account names ( GOV, ROW,
S-I, DSTK) have to be used for these entities.

Capital returns has to be distributed through an account named STOCK.

c. The tax elements are used for model calibration.
Taxes have to be paid to special tax accounts that, in their turn, pass on
their total receipts to the account GOV; it is illegal to have taxes paid
directly to GOV.  For trade margins and taxes the above names has to be used
if they are included in tha sam. No other tax accounts are allowed.

$offtext



SETS
*!!-start entering information here
 AC  global set for model accounts - aggregated microsam accounts
 /
*activities
 A1
 A2
 A3
 A4
*Commodities
 C1
 C2
 C3
 C4
*Trade margins
 TMT
*Taxes
 INSTAX          direct taxes on domestic institutions
 EXPTAX          tax on exports
 FACTAX          direct tax on factors (soc sec tax)
 IMPTAX          import tariff
 TQT             quantity taxes on commodities
 TVT             value taxes on commmodities
 ACTTAX          activity tax
*factors
 LAB       aggregated labour
 CAP       aggregated capital


*financial assets


*domestic non-government institutions

 H1

*Required accounts
 STOCK     financial asset
 GOV       government
 S-I       savings-investment
 DSTK      stock changes
 ROW       rest of the world
 TOTAL     total
 /


 P(AC)  all purchasers

 /
*activities
 A1
 A2
 A3
 A4

*domestic non-government institutions

 H1

*Required accounts
 GOV       government
 ROW       rest of the world
 S-I       savings-investment
 DSTK      stock changes
 /



 PNI(P)  all purchasers  except investments

 /
*activities
 A1
 A2
 A3
 A4

*domestic non-government institutions

 H1

*Required accounts
 GOV       government
 ROW       rest of the world
 DSTK      stock changes
 /






 A(PNI)  activities
 /
*activities
 A1
 A2
 A3
 A4
 /

 AETS(A)
 /
 /

 C(AC)  commodities
 /
*activities
 C1
 C2
 C3
 C4
 /


*Note: This set identify the element in the SAM
*that receives payments from trade margins.
*That is, the commodities used for transactions
*If your SAM does not include these payments, leave the
*set empty.
 CTR(C)      commodity used for transactions

 /

 /

 Fossil(C)
 /

 /

 Fossilperm(Fossil)
 /

 /


 F(AC)  factors
 /
 LAB       aggregated labour
 CAP       aggregated capital
 /

*Note: in the unlikely event that your SAM does not include labor
*factors, leave the following set empty.
 FLAB(F) labor
 /
 LAB       aggregated labour
 /



*Note: in the unlikely event that your SAM does not include capital
*factors, leave the following set empty.
 FCAP(F) capital
 /
 CAP       aggregated capital

 /

 FOP(FCAP) capital that is used to adjustments in the BWSEC include file
 /
 CAP
 /

 Fland(F)
 /

 /




 INS(P)  institutions
 /
 H1        households
 GOV       government
 ROW       rest of the world
 /

 INSD(PNI)  domestic institutions
 /
 H1        households
 GOV       government
 /


 H(INSD)  households
 /
 H1        households
 /




 INSNG(INS)        non-government institutions
 /
 H1        households
 ROW       rest of the world
 /

 TX(AC)  taxes in the model
 /
 INSTAX          direct taxes on domestic institutions
 EXPTAX          tax on exports
 IMPTAX          import tariff
 FACTAX          direct tax on factors (soc sec tax)
 TQT             total quantity tax on commodities (distributed in TQMAT)
 TVT             total value tax on commodities (distributed in TVMAT)
 ACTTAX          activity tax
 /

 ;



 ACNT(AC) = YES; ACNT('TOTAL') = NO;

DISPLAY
 INSNG
 ;


$ontext
4. SAM WITH SUBMATRICES########################################################
!! The user includes a SAM with submatrices and selects its name (subject to GAMS
syntactical rules).


!!-In this section, a SAM is included.

The SAM can be included in three ways:
1. put directly in the file in the space below.
A maximum of 6 columns is feasible; or
2. The SAM can be imported with an import program such as XLLINK or
SSLINK; or
3. put in an include file .

$offtext

$libinclude xlimport SAM DATA_comtax_singel_high.XLS SAM!
$libinclude xlimport TMMAT DATA_comtax_singel_high.XLS TMMAT!
$libinclude xlimport TQMAT DATA_comtax_singel_high.XLS TQMAT!
$libinclude xlimport TVMAT DATA_comtax_singel_high.XLS TVMAT!
binvmat(C,A)=SAM(C,'S-I')/4;
$libinclude xlimport TQINV DATA_comtax_singel_high.XLS TQINV!
$libinclude xlimport TMINV DATA_comtax_singel_high.XLS TMINV!
$libinclude xlimport TVINV DATA_comtax_singel_high.XLS TVINV!





 Netpermit0 = 0;
 Ppermit0 = 0;
 Qpermit0(A) = 0;

OPTION SAM:3;
DISPLAY "SAM IN ORIGINAL DATA", SAM;

*5. MANIPULATIONS IN THE SAM ###################################################

*If manipulations in the SAM is needed you may use a parameter called samman(AC,ACP).
*The advantage of that is that you leave original data unchanged.

SAMMAN(AC,ACP)=0    ;


*if manipulations are needed this can be done using the matrix samman(AC,ACP)

SAM(AC,ACP) = SAM(AC,ACP) + SAMMAN(AC,ACP);

*Account totals are recomputed. Check for SAM balance.

 SAM('TOTAL',AC) = 0;
 SAM(AC,'TOTAL') = 0;

DISPLAY "SAM AFTER MANIPULATIONS", SAM;

 SAM('TOTAL',AC) = SUM(ACNT, SAM(ACNT,AC));
 SAM(AC,'TOTAL') = SUM(ACNT, SAM(AC,ACNT));
*$libinclude xldump sam saminman.xls
 SAMBALCHK(AC)   = SAM('TOTAL',AC) - SAM(AC,'TOTAL');

DISPLAY "MANIPULATED SAM", SAMBALCHK;






*6. DEFINITION OF PHYSICAL FACTOR QUANTITIES ###################################

$ontext

!!: If you have data on physical factor DEMANDS, add them in this
section. If so, there is no need to include supply quantities --
the model code in SAINTBASE.GMS will not use the supply information.

If data are provided for SUPPLY quantities (but not for demand), the
model code in SAINTBASE.GMS will define disaggregated activity demand
quantities for each factor as:
(total factor supply) TIMES (activity share in total activity payments
to the factor).
This amounts to assuming that, for each factor, wages are uniform across
activities. The data on factor payments are from the SAM.

If you don't have any data on physical factor quantities, leave
this section blank.

$offtext

capdef(C,'CAP')$SUM(A, binvmat(C,A))   =1     ;


display capdef;



PARAMETER
 QFSBASE(F)   base-year qnty of supply for factor f
*For each factor, specify the units in a comment.
 /

 /
 ;
Parameter QFBASE(F,A)  qnty of factor f employed by activity a
*For each factor, specify the units in a comment.


 ;

 QFBASE(FLAB,A)             = 0;




display qfbase;

TABLE deprate  rate of depreciation in activity a

               CAP

A1          0.15
A2          0.15
A3          0.15
A4          0.15

 ;





display deprate   ;





*Forreign net asset position in the beginning of base year.
*This information is only needed for dynamic simulations.
 FNAP0 =  0;
*households share of stock


*6. PRICES #################################################################

 PSUP(C) = 1;

$ontext
All prices not normalized to one should be specified here. (Prices of commodities
where a realisitc physical quantity is prefered, probably those commodities that
are subject to quantity taxation)
$offtext


carbshare(fossil)=0;



*#*#*#*#*# THE END OF indata1.GMS #*#*#*#*
