$STITLE Input file: REPBASE.GMS. Report on base solution. SAINT CGE modeling system 01pf01

$ontext

This is an include file to SAINTBASE.GMS that produces the following reports
on the economy based on data for the base solution (with the name of the
relevant parameter in parentheses):

1. GDP table (GDPBASE)
2. Micro SAM (MICROSAM)
3. Macro SAM (MACROSAM)
4. Input shares, factor wages, and elasticities (FACTAB1 - 4))
5. Household incomes (HHDTAB1 - 2)



$offtext
*====================================================================
*1. GDP table (GDPBASE===============================================

SETS

 IGDPX  Items for GDP and national accounts
  /
  ABSORP   absorption
  PRVCON   private consumption
  FIXINV   fixed investment
  DSTOCK   stock change
  GOVCON   government consumption
  EXPORTS  exports
  IMPORTS  imports
  GDPMP    GDP at market prices (alt. 1: spending)
  GDPFC2   GDP at factor cost
  ACTITAX   net taxes on production
  GDPBASIC GDP at basic prices
  NETITAX  net taxes on products
  GDPMP2   GDP at market prices (alt. 2: value-added)
  NFI      Net factor income from abroad
  GNI      Gross national income
  /

 IGDPXX(IGDPX)  Items for GDPMP summation
  /
  PRVCON   private consumption
  FIXINV   fixed investment
  DSTOCK   stock change
  GOVCON   government consumption
  EXPORTS  exports
  IMPORTS  imports
  /

 KGDPX  second index in GDP tables
 /
 VALUE, PERC-GDP, PERC-TOT
 /

*================================

PARAMETERS
 GDPBASE(IGDPX,KGDPX) Aggregate national accounts summary
 GDPERR                error if alt GDP definitions are not identical
 ;
*================================

 GDPBASE('PRVCON','VALUE')
   =  SUM((C,H), (1+tv(C,H))*((PQ.L(C)+tq(C,H)+TM.L(C,H))
                       *SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H)));

 GDPBASE('FIXINV','VALUE')  = SUM((C,A), (1+tvi(C,A))* (PQ.L(C)+tqi(C,A)
                       +TMI.L(C,A)) * SUM(FCAP, QINV.L(C,A,FCAP))+(1+tvi(C,A))*FTMINV.L(C,A));
 GDPBASE('DSTOCK','VALUE')  = SUM(C, PQ.L(C)*QDST(C));
 GDPBASE('GOVCON','VALUE')  = SUM(C, (1+tv(C,'GOV'))*((PQ.L(C)+tq(C,'GOV')
                             +TM.L(C,'GOV'))*QG.L(C)+FTM.L(C,'GOV')));
 GDPBASE('EXPORTS','VALUE') = SUM(CE, PWE.L(CE)*EXR.L*QE.L(CE));
 GDPBASE('IMPORTS','VALUE') = -SUM(CM, PWM.L(CM)*EXR.L*QM.L(CM));
 GDPBASE('GDPMP','VALUE') = SUM(IGDPXX, GDPBASE(IGDPXX,'VALUE'));

 GDPBASE('ABSORP','VALUE')
  = GDPBASE('GDPMP','VALUE') - GDPBASE('IMPORTS','VALUE')
    - GDPBASE('EXPORTS','VALUE');

 GDPBASE('GDPFC2','VALUE') = SUM(A, PA.L(A)*QA.L(A))
           - SUM(A, ta(A)*PA.L(A)*QA.L(A)
           + SUM(C, (1+tv(C,A))*(QINT.L(C,A)*(PQ.L(C)+tq(C,A)+TM.L(C,A))+FTM.L(C,A))));

 GDPBASE('NETITAX','VALUE') =
          SUM(A, SUM(C, tq(C,A)*QINT.L(C,A)
                 + tv(C,A)*((PQ.L(C)+tq(C,A)+TM.L(C,A))*QINT.L(C,A)+FTM.L(C,A))))
          +SUM(H, SUM(C, SUM(CGH, tq(C,H)*QH.L(H,C,CGH))
                  +tv(C,H)*((PQ.L(C)+tq(C,H)+TM.L(C,H))*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H))))
          +SUM(C, tq(C,'GOV')*QG.L(C)+tv(C,'GOV')
                  *((PQ.L(C)+tq(C,'GOV')+TM.L(C,'GOV'))*QG.L(C)+FTM.L(C,'GOV')))
          +SUM((C,A), tqi(C,A)*SUM(FCAP, QINV.L(C,A,FCAP))+tvi(C,A)*((PQ.L(C)
                  +tqi(C,A)+TMI.L(C,A))*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A)))
          + SUM(CM, tar(CM)*QM.L(CM)*PWM.L(CM))*EXR.L
          + SUM(CE, te(CE)*QE.L(CE)*PWE.L(CE))*EXR.L ;



 GDPBASE('GDPBASIC','VALUE') = SUM(A, PA.L(A)*QA.L(A)) - SUM(A, SUM(C,
           (1+tv(C,A))*(QINT.L(C,A)*(PQ.L(C)+tq(C,A)+TM.L(C,A))+FTM.L(C,A))));

 GDPBASE('ACTITAX','VALUE') = SUM(A, ta(A)*PA.L(A)*QA.L(A));

 GDPBASE('GDPMP2','VALUE')
  = GDPBASE('GDPFC2','VALUE') + GDPBASE('NETITAX','VALUE')+ GDPBASE('ACTITAX','VALUE');



  GDPBASE('NFI','VALUE') = sum(FLAB, labin(FLAB)*EXR.L)+ finin*EXR.L+
    sum(H,  trnsfr(H,'ROW')*EXR.L)+ trnsfr('GOV','ROW')*EXR.L -
    sum(FLAB, labout(FLAB)*SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)) *EXR.L)-
    sum(A, finout(A)* ( SUM(FCAP, GRPROF.L(A,FCAP))+SUM(FLAND, GRRENT.L(A,FLAND))) *EXR.L)-
    sum(H,  trnsfr('ROW',H)*EXR.L) - trnsfr('ROW','GOV')*EXR.L;

  GDPBASE('GNI','VALUE')
  = GDPBASE('GDPMP2','VALUE') + GDPBASE('NFI','VALUE');


 GDPBASE(IGDPX,'VALUE')=  GDPBASE(IGDPX,'VALUE')*scaling ;


 GDPBASE(IGDPX,'PERC-GDP')$GDPBASE('GDPMP','VALUE')
  = 100*GDPBASE(IGDPX,'VALUE')/GDPBASE('GDPMP','VALUE');

 GDPERR$(ABS(GDPBASE('GDPMP2','VALUE') - GDPBASE('GDPMP','VALUE')) GT 0.01)
  = 1/0;

*==================


DISPLAY GDPERR;













*======================================================================
*2. Micro SAM (MICROSAM)===============================================





PARAMETER
   MICROSAM(AC,ACP)   Micro SAM
   BALCHKMI2(AC)         total balance check
   ORGDIFCHKMI2(AC,AC)      difference from original SAM
   ;

*Defining SAM cells==============

 MICROSAM(C,A)    =  PQ.L(C)*QINT.L(C,A);
 MICROSAM('TMT',A)   = SUM(C, TM.L(C,A)*QINT.L(C,A)+FTM.L(C,A));
 MICROSAM('TQT',A)    = SUM(C, tq(C,A)*QINT.L(C,A));
 MICROSAM('TVT',A)    =
            SUM(C, tv(C,A)*((tq(C,A)+TM.L(C,A)+PQ.L(C))*QINT.L(C,A)+FTM.L(C,A)));
 MICROSAM('ACTTAX',A) =  ta(A)*PA.L(A)*QA.L(A);


 MICROSAM(F,A)    =  WF.L(F)*wfdist.L(F,A)*QF.L(F,A);

 MICROSAM(A,C)    =  theta(A,C)*QA.L(A)*PX.L(C);

 MICROSAM('ROW',C)    =  pwm.L(C)*QM.L(C)*EXR.L;
 MICROSAM('IMPTAX',C) =  pwm.L(C) * tar(C) * EXR.L * QM.L(C);
 MICROSAM('EXPTAX',C) =  pwe.L(C) * te(C) * EXR.L * QE.L(C);

 MICROSAM(CTR,'TMT')   = QT.L(CTR)*PQ.L(CTR)  ;


 MICROSAM('FACTAX',FLAB) =  TFLAB.L(FLAB)*(YFLAB.L(FLAB)- labout(FLAB)*
                           SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)));
 MICROSAM('FACTAX','STOCK') = TFIN.L*SUM(A, (1- finout(A))* YFIN.L(A))+TFIN.L*finin*EXR.L;
 MICROSAM('STOCK',FCAP)     = SUM(A, WF.L(FCAP)*wfdist.L(FCAP,A)*QF.L(FCAP,A));
 MICROSAM('STOCK',FLAND)     = SUM(A, WF.L(FLAND)*wfdist.L(FLAND,A)*QF.L(FLAND,A));
 MICROSAM(H,FLAB)  =  YIFL.L(H,FLAB);
 MICROSAM(H,'STOCK')   =  YIFIN.L(H);
 MICROSAM('GOV',FLAB)   =  YIFL.L('GOV',FLAB);
 MICROSAM('GOV','STOCK')    =  YIFIN.L('GOV');
 MICROSAM('ROW',FLAB)   =   labout(FLAB)*SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)) ;
 MICROSAM('ROW','STOCK')    =   SUM(A, finout(A)*  YFIN.L(A)) ;
 MICROSAM(C,H)    = SUM(CGH, PQ.L(C)*QH.L(H,C,CGH));
 MICROSAM('TMT',H)   = SUM(C, TM.L(C,H)*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H));
 MICROSAM('TQT',H)    = SUM(C, tq(C,H)*SUM(CGH, QH.L(H,C,CGH)));
 MICROSAM('TVT',H)    = SUM(C, tv(C,H)*
                ((tq(C,H)+TM.L(C,H)+PQ.L(C))*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H)));
 MICROSAM('INSTAX',H) =  TINS.L(H)*YH.L(H);
 MICROSAM('S-I',H)    = (1-MPC.L(H)) * ((1 - TINS.L(H)) * YH.L(H)
            -trnsfr('ROW',H))- cint(H)*WEALTH.L(H);
 MICROSAM('ROW',H)    =  trnsfr('ROW',H);

 MICROSAM(C,'GOV')    =  PQ.L(C)*QG.L(C);
 MICROSAM('TMT','GOV')   = SUM((C), TM.L(C,'GOV')*QG.L(C)+FTM.L(C,'GOV'));
 MICROSAM('TQT','GOV')    = SUM((C), tq(C,'GOV')*QG.L(C));
 MICROSAM('TVT','GOV')    = SUM((C), tv(C,'GOV')*
               ((tq(C,'GOV')+TM.L(C,'GOV')+PQ.L(C))*QG.L(C)+FTM.L(C,'GOV')));

 MICROSAM(INSD,'GOV')    =  trnsfr(INSD,'GOV')*CPI.L;
 MICROSAM('S-I','GOV')    = GSAV.L ;
 MICROSAM('ROW','GOV')    = trnsfr('ROW','GOV') + NETPERMIT.L;
 MICROSAM('STOCK','GOV')    = SUM(AETS, Qpermit(AETS))*Ppermit;
 MICROSAM(C,'ROW')    =  (pwe.L(C)*EXR.L - TM.L(C,'ROW'))*QE.L(C);
 MICROSAM('TMT','ROW')   =  SUM(C, TM.L(C,'ROW')*QE.L(C));
 MICROSAM(FLAB,'ROW')    =  labin(FLAB)*EXR.L;
 MICROSAM('STOCK','ROW')    =  finin*EXR.L;
 MICROSAM(H,'ROW')    =  trnsfr(H,'ROW')*EXR.L;
 MICROSAM('GOV','ROW')    = trnsfr('GOV','ROW')*EXR.L;
 MICROSAM('S-I','ROW')    = FSAV.L ;

 MICROSAM(C,'S-I') =  SUM((A,FCAP), PQ.L(C)*QINV.L(C,A,FCAP)) ;
 MICROSAM(C,'DSTK') =  PQ.L(C)*qdst(C);
 MICROSAM('TMT','S-I')   = SUM((C,A), TMI.L(C,A)*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A));
 MICROSAM('TQT','S-I')    = SUM((C,A,FCAP), tqi(C,A)*QINV.L(C,A,FCAP));
 MICROSAM('TVT','S-I')    = SUM((C,A), tvi(C,A)*
               ((tqi(C,A)+TMI.L(C,A)+PQ.L(C))*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A)));

 MICROSAM('DSTK','S-I')    =   SUM(C, PQ.L(C)*qdst(C));

 MICROSAM('TOTAL', AC) = 0;
 MICROSAM(AC,'TOTAL')   = 0;

 MICROSAM('GOV',TX)  = SUM(AC, MICROSAM(TX,AC));


*Computing account totals========



 MICROSAM('TOTAL', ACNTP) = SUM(ACNT,  MICROSAM(ACNT,ACNTP));
 MICROSAM(ACNT,'TOTAL')   = SUM(ACNTP, MICROSAM(ACNT,ACNTP));

 MICROSAM(AC,ACP) = scaling * MICROSAM(AC,ACP) ;

*Checking account balances=======

 BALCHKMI2(ACNT) = MICROSAM('TOTAL',ACNT) - MICROSAM(ACNT,'TOTAL');
 ORGDIFCHKMI2(ACNT,ACNTP) = SAM(ACNT,ACNTP)*scaling - MICROSAM(ACNT,ACNTP);

 ORGDIFCHKMI2(ACNT,ACNTP)$(ABS(ORGDIFCHKMI2(ACNT,ACNTP)) LT 0.01) = 0;

PARAMETER
 MICCHK  error message if Micro SAM does not balance

 MICCHKORG(AC,ACP) error message if microsam doesn't correspond with the original sam
 ;



  MICCHKORG(ACNT,ACNTP)$(ABS(ORGDIFCHKMI2(ACNT,ACNTP)) GT 1) = 1/0;
*==========
OPTION ORGDIFCHKMI2:2;
DISPLAY
"if any element in the matrix below is not equal to zero your calibration"
"doesnt replicate the original data and it has to be some error in the program code"
ORGDIFCHKMI2;


 MICCHK(ACNT)$(ABS(BALCHKMI2(ACNT)) GT 0.001) = 1/0;

DISPLAY
"if any element in the matrix below is not equal to zero your calibration"
"gives an unbalanced SAM. If your original SAM was balanced there"
"has to be some error in the program code"
 BALCHKMI2 ;





*======================================================================
*3. Macro SAM (MACROSAM)===============================================


SET
 ACMAC     macrosam accounts

 /
 ACT2        Activities
 COM2        Commodities
 TMT2       trade margins
 INSTAX2     direct taxes on domestic institutions
 IMPTAX2     import taxes
 EXPTAX2     export taxes
 FACTAX2     direct factor taxes
 TQT2        quantity taxes on commodities
 TVT2        value taxes on commodities
 ACTTAX2     activity taxes
 FAC2        Factors
 HOU2        Domestic non-gov institution (households + enterprises)
 GOV2        Current government
 S-I2        Savings investment account
 ROW2        Rest of World

 TOTAL2      totals
 /

 ACMACNT(ACMAC)  all macrosam accounts except TOTAL2


ACMACTAX(ACMAC) tax accounts
 /
 TQT2        quantity taxes on commodities
 TVT2        value taxes on commodities
 INSTAX2     direct taxes on domestic institutions
 FACTAX2     direct factor taxes
 IMPTAX2     import taxes
 EXPTAX2     export taxes
 ACTTAX2     activity taxes
 /

 ;

ACMACNT(ACMAC)    = YES;
ACMACNT('TOTAL2') = NO;

ALIAS(ACMAC,ACMACP),(ACMACNT,ACMACNTP);

PARAMETER
   MACROSAM(ACMAC,ACMACP)   Macro SAM
   BALCHK2(ACMAC)         total balance check
   ;

*Defining SAM cells==============

 MACROSAM('COM2','ACT2')    = SUM((C,A), PQ.L(C)*QINT.L(C,A));
 MACROSAM('TMT2','ACT2')   = SUM((C,A), TM.L(C,A)*QINT.L(C,A)+FTM.L(C,A));
 MACROSAM('TQT2','ACT2')    = SUM((C,A), tq(C,A)*QINT.L(C,A));
 MACROSAM('TVT2','ACT2')    = SUM((C,A), tv(C,A)*
            ((tq(C,A)+TM.L(C,A)+PQ.L(C))*QINT.L(C,A)+FTM.L(C,A)));
 MACROSAM('ACTTAX2','ACT2') = SUM(A, ta(A)*PA.L(A)*QA.L(A));


 MACROSAM('FAC2','ACT2')    = SUM((F,A), WF.L(F)*wfdist.L(F,A)*QF.L(F,A));

 MACROSAM('ACT2','COM2')    = SUM((C,A), theta(A,C)*QA.L(A)*PX.L(C));

 MACROSAM('ROW2','COM2')    = SUM(C, pwm.L(C)*QM.L(C))*EXR.L;
 MACROSAM('IMPTAX2','COM2') = SUM(C, pwm.L(C) * tar(C) * EXR.L * QM.L(C));
 MACROSAM('EXPTAX2','COM2') = SUM(C, pwe.L(C) * te(C) * EXR.L * QE.L(C));

 MACROSAM('COM2','TMT2')   = SUM(CTR, QT.L(CTR)*PQ.L(CTR))  ;

 MACROSAM('FACTAX2','FAC2') = SUM(FLAB, TFLAB.L(FLAB)*(YFLAB.L(FLAB)- labout(FLAB)*
                              SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A))))
                              +SUM(A, TFIN.L*(1- finout(A))*YFIN.L(A))
                              + TFIN.L*finin*EXR.L  ;
 MACROSAM('HOU2','FAC2')    = SUM((H,FLAB), YIFL.L(H,FLAB))+
                              SUM((H), YIFIN.L(H));
 MACROSAM('GOV2','FAC2')    = SUM(FLAB, YIFL.L('GOV',FLAB))+ YIFIN.L('GOV');
 MACROSAM('ROW2','FAC2')    = SUM(FLAB,  labout(FLAB)*
                              SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)) )
                              + SUM(A,  finout(A)*YFIN.L(A));
 MACROSAM('COM2','HOU2')    = SUM((C,H), PQ.L(C)*SUM(CGH, QH.L(H,C,CGH)));
 MACROSAM('TMT2','HOU2')   = SUM((C,H), TM.L(C,H)*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H));
 MACROSAM('TQT2','HOU2')    = SUM((C,H), tq(C,H)*SUM(CGH, QH.L(H,C,CGH)));
 MACROSAM('TVT2','HOU2')    = SUM((C,H), tv(C,H)*
                ((tq(C,H)+TM.L(C,H)+PQ.L(C))*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H)));
 MACROSAM('INSTAX2','HOU2') = SUM(H, TINS.L(H)*YH.L(H));
 MACROSAM('S-I2','HOU2')    =           SUM(H, (1-MPC.L(H)) *
            ((1 - TINS.L(H)) * YH.L(H)
            -trnsfr('ROW',H)))-SUM(H, cint(H)*WEALTH.L(H));
 MACROSAM('ROW2','HOU2')    = SUM(H, trnsfr('ROW',H));


 MACROSAM('COM2','GOV2')    = SUM(C, PQ.L(C)*QG.L(C));
 MACROSAM('TMT2','GOV2')   = SUM((C), TM.L(C,'GOV')*QG.L(C)+FTM.L(C,'GOV'));
 MACROSAM('TQT2','GOV2')    = SUM((C), tq(C,'GOV')*QG.L(C));
 MACROSAM('TVT2','GOV2')    = SUM((C), tv(C,'GOV')*
               ((tq(C,'GOV')+TM.L(C,'GOV')+PQ.L(C))*QG.L(C)+FTM.L(C,'GOV')));

 MACROSAM('HOU2','GOV2')    = SUM(INSD, trnsfr(INSD,'GOV'))*CPI.L;
 MACROSAM('S-I2','GOV2')    = GSAV.L ;
 MACROSAM('ROW2','GOV2')    = trnsfr('ROW','GOV') + NETPERMIT.L;
 MACROSAM('FAC2','GOV2')    = SUM(AETS, Qpermit(AETS))*Ppermit;
 MACROSAM('COM2','ROW2')    = SUM(C, (pwe.L(C)*EXR.L - tm.L(C,'ROW'))*QE.L(C));
 MACROSAM('TMT2','ROW2')   = SUM(C, TM.L(C,'ROW')*QE.L(C));
 MACROSAM('FAC2','ROW2')    = SUM(FLAB, labin(FLAB)*EXR.L)+ finin*EXR.L;
 MACROSAM('HOU2','ROW2')    = SUM(H, trnsfr(H,'ROW'))*EXR.L;
 MACROSAM('GOV2','ROW2')    = trnsfr('GOV','ROW')*EXR.L;

 MACROSAM('S-I2','ROW2')    = FSAV.L ;

 MACROSAM('COM2','S-I2')
  = SUM((C,A,FCAP), PQ.L(C)*QINV.L(C,A,FCAP)) + SUM(C, PQ.L(C)*qdst(C));
 MACROSAM('TMT2','S-I2')   = SUM((C,A), TMI.L(C,A)*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A));
 MACROSAM('TQT2','S-I2')    = SUM((C,A,FCAP), tqi(C,A)*QINV.L(C,A,FCAP));
 MACROSAM('TVT2','S-I2')    = SUM((C,A), tvi(C,A)*
                ((tqi(C,A)+TMI.L(C,A)+PQ.L(C))*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A)));

 MACROSAM('GOV2',ACMACTAX)  = SUM(ACMAC, MACROSAM(ACMACTAX,ACMAC));


*Computing account totals========

 MACROSAM('TOTAL2', ACMAC) = 0;
 MACROSAM(ACMAC,'TOTAL2')   = 0;

 MACROSAM('TOTAL2', ACMACNTP) = SUM(ACMACNT,  MACROSAM(ACMACNT,ACMACNTP));
 MACROSAM(ACMACNT,'TOTAL2')   = SUM(ACMACNTP, MACROSAM(ACMACNT,ACMACNTP));

 MACROSAM(ACMAC,ACMACP) = scaling * MACROSAM(ACMAC,ACMACP) ;

*Checking account balances=======

 BALCHK2(ACMACNT) = MACROSAM('TOTAL2',ACMACNT) - MACROSAM(ACMACNT,'TOTAL2');

PARAMETER
 MACCHK  error message if Macro SAM does not balance
 ;

 MACCHK(ACMACNT)$(ABS(BALCHK2(ACMACNT)) GT 0.001) = 1/0;


*==========


DISPLAY
"if any element in the matrix below is not equal to zero your calibration"
"gives an unbalanced SAM. If your original SAM was balanced there"
"has to be some error in the program code"
 BALCHK2 ;





*====================================================================
*4. Input shares, factor wages, and elasticities (FACTAB1 - 4)=======

*The parameters FACTAB1, FACTAB2, FACTAB3, FACTAB4 are covered in this
*section.


SETS
 FF(AC) all factor accounts and total
 AA(AC) all activity accounts and total
 ;

 FF(F)       = YES;
 FF('TOTAL') = YES;
 AA(A)       = YES;
 AA('TOTAL') = YES;


PARAMETERS
 FACTAB1(AC,ACP) Factor shares within sector
 FACTAB2(AC,ACP) Factor shares across sectors
 FACTAB3(AC,*)   Agg factor & intd. input shares & their sub. elasticity
 FACTAB4(AC,ACP) Factor wages by sector
 ;

 FACTAB1(A,F)       = WF.L(F)*wfdist.L(F,A)*QF.L(F,A)*scaling ;
 FACTAB1('TOTAL',F) = SUM(A, FACTAB1(A,F)) ;
 FACTAB1(A,'TOTAL') = SUM(F, FACTAB1(A,F)) ;
 FACTAB1('TOTAL','TOTAL') = SUM(F, FACTAB1('TOTAL',F)) ;
 FACTAB2(AA,FF)     = FACTAB1(AA,FF) ;
 FACTAB4(AA,FF)     = FACTAB1(AA,FF) ;

 FACTAB2(AA,FF)$FACTAB2('TOTAL',FF) = 100*FACTAB2(AA,FF)/FACTAB2('TOTAL',FF) ;
 FACTAB1(AA,FF)$FACTAB1(AA,'TOTAL') = 100*FACTAB1(AA,FF)/FACTAB1(AA,'TOTAL') ;

 FACTAB3(A,'QVASHR')   = 100*SUM(F, WF.L(F)*wfdist.L(F,A)*QF.L(F,A)*scaling)
                         / (PA.L(A)*(1-ta(A))*QA.L(A)*scaling) ;
 FACTAB3(A,'QLEOSHR')  = 100*PLEO.L(A)*QLEO.L(A)*scaling
                         /(PA.L(A)*(1-ta(A))*QA.L(A))*scaling ;
 FACTAB3(A,'QSUBISHR')  = 100*SUM(CSUBI, (1+tv(CSUBI,A))*(FTM.L(CSUBI,A)*scaling+
                         QINT.L(CSUBI,A)*scaling*(PQ.L(CSUBI)+tq(CSUBI,A)+TM.L(CSUBI,A))))
                         /(PA.L(A)*(1-ta(A))*QA.L(A)*scaling) ;
 FACTAB3('TOTAL','QVASHR')  = 100*SUM(A, SUM(F, WF.L(F)*wfdist.L(F,A)*QF.L(F,A)*scaling)) /
                         SUM(A, PA.L(A)*(1-ta(A))*QA.L(A)*scaling) ;
 FACTAB3('TOTAL','QLEOSHR') = 100*SUM(A, PLEO.L(A)*QLEO.L(A)*scaling) /
                              SUM(A, PA.L(A)*(1-ta(A))*QA.L(A)*scaling) ;
 FACTAB3('TOTAL','QSUBISHR')  = 100*SUM(A, SUM(CSUBI, (1+tv(CSUBI,A))*(FTM.L(CSUBI,A)*scaling+
                         QINT.L(CSUBI,A)*scaling*(PQ.L(CSUBI)+tq(CSUBI,A)+TM.L(CSUBI,A)))))
                         /SUM(A, PA.L(A)*(1-ta(A))*QA.L(A)*scaling)  ;

 FACTAB3(A,'SIGMASUB')  = PRODELAS(A,'SIGMASUB') ;
 FACTAB3(A,'SIGMASC')  = PRODELAS(A,'SIGMASC') ;
 FACTAB3(A,'SIGMASUBI')  = PRODELAS(A,'SIGMASUBI') ;
 FACTAB3(A,'SIGMALAB')  = PRODELAS(A,'SIGMALAB') ;
 FACTAB3(A,'SIGMACAP')  = PRODELAS(A,'SIGMACAP') ;

 FACTAB4(AA,'TOTAL')    = 0 ;
 FACTAB4(A,F)$QF.L(F,A) = FACTAB4(A,F)/(QF.L(F,A)*scaling) ;
 FACTAB4('TOTAL',F)$SUM(A, QF.L(F,A)) = FACTAB4('TOTAL',F)/SUM(A, QF.L(F,A)*scaling) ;






*====================================================================
*5. Household incomes (HHDTAB1 - 2)==================================

PARAMETERS
 HHDTAB1(AC,ACP) Share of item ACP in the total income of hhd H (%)
 HHDTAB2(AC,ACP) Share of hhd AC in total hhd income from item ACP (%)
 ;

 HHDTAB1(H,ACNT)       = 100*MICROSAM(H,ACNT)/SUM(ACNTP, MICROSAM(H,ACNTP));
 HHDTAB1('TOTAL',ACNT) = 100*SUM(H, MICROSAM(H,ACNT))/SUM((H,ACNTP), MICROSAM(H,ACNTP));
 HHDTAB1(AC,'TOTAL')    = SUM(ACNT, HHDTAB1(AC,ACNT));

 HHDTAB2(H,ACNT)$SUM(HP, SAM(HP,ACNT)) = 100*MICROSAM(H,ACNT)/SUM(HP, MICROSAM(HP,ACNT));
 HHDTAB2(H,'TOTAL')                    = 100*SUM(ACNT, MICROSAM(H,ACNT))/SUM((HP,ACNT), MICROSAM(HP,ACNT));

 HHDTAB2('TOTAL',AC)                   = SUM(H, HHDTAB2(H,AC));




*#*#*#*#*# THE END OF REPBASE.INC #*#*#*#*
