$STITLE Input file: REPPAR.GMS. Parameters for reports. Static CGE model LS01

* sets for reports

SET
 BUP  items in government budget
 /
 INSTAX         income from income tax
 EXPTAX         income from export tax
 FACTAX         income from factor taxes
 TQT            income from unit taxes
 TVT            income from value added taxes
 ACTTAX         income from activity taxes
 TRFROMROW      transfers from other countries
 CAPINC         income from governmentally owned capital
 GCONS          government consumption
 TRTOH          transfers to households
 GOVSAV         government saving
 TRTOROW        transfers to other countries
 TOTAL          total
 /

 BUPNT(BUP)  items in government budget without total



 EXPS  first index in trade tables
 /
 EXPORT, IMPORT, NETEXPORT
 /

 IMVS   index in table over important variables
 /
 EXCHRATE             exchange rate
 FOSAV                foreign savings
 PRIVSAV              private savings
 PRIVSAVESHARE        saving share in private sector
 GOVSAV               government saving
 GOVSAVESHARE         saving share in Government
 /

 KGDP  first index in GDP tables
 /
 NOMINAL, REAL, NOMSHARE, REALSHARE, DEFLATOR
 /

 IGDP  Items for GDP and national accounts
  /
  ABSORP    absorption
  PRVCON    private consumption
  FIXINV    fixed investment
  DSTOCK    stock change
  GOVCON    government consumption
  EXPORTS   exports
  IMPORTS   imports
  GDPMP     GDP at market prices (alt. 1: spending)
  GDPFC2    GDP at factor cost
  ACTITAX   net taxes on production
  GDPBASIC  GDP at basic prices
  NETITAX   net taxes on products
  GDPMP2    GDP at market prices (alt. 2: value-added)
  NFI       Net factor income from abroad
  GNI       Gross national income
  /

 IGDP2(IGDP)  Items for GDPMP summation
  /
  PRVCON    private consumption
  FIXINV    fixed investment
  DSTOCK    stock change
  GOVCON    government consumption
  EXPORTS   exports
  IMPORTS   imports
  /


*The sets MODTYPE and SOLVEIND are used in the parameters SOLVEMAX,
*SOLVEREP, and SOLVEWARN.

 MODTYPE  model types
  /
  MCP mixed-complementarity programming
  NLP non-linear programming
  /


 ;

 BUPNT(BUP) = YES; BUPNT('TOTAL') = NO;

*==========================================================
*Parameter defining legal values for SOLVEREP==============
*==========================================================


TABLE
 SOLVEMAX(SOLVEIND,MODTYPE) max permitted value for SOLVEREP indicators

                MCP   NLP
MODEL-STATUS     1     2
SOLVER-STATUS    1     1
NUM-REDEFEQ      0     0

$ontext
Note: See the end of SIM.GMS (or the GAMS Users' Guide) for explanation
of what different values for MODEL-STATUS or SOLVER-STATUS represent.
NUM-REDEFEQ shows the number of redefined equations.
$offtext






* Report parameters for all model variables

PARAMETERS
  CPIX(SIM)             consumer price index (based on purchaser prices)
  DMPCX(SIM)            change in marginal propensity to save for selected inst
  DTINSX(SIM)           change in domestic institution tax share
  EGX(SIM)              total current government expenditure
  EHX(H,SIM)            household consumption expenditure
  EXRX(SIM)             exchange rate
  FSAVX(SIM)            foreign savings in domestic currency
  FTMX(C,P,SIM)         fix part of trade margin
  FTMINVX(C,A,SIM)      fix part of trade margin on investments
  GADJX(SIM)            government demand scaling factor
  GOVSHRX(SIM)          govt consumption share of absorption
  GRPROFX(A,FCAP,SIM)   gross profits in activity a
  GRRENTX(A,FLAND,SIM)  gross rents in activity a 
  GSAVX(SIM)            government savings
  IADJX(A,FCAP,SIM)     investment scaling factor (for fixed capital formation)
  INVSHRX(SIM)          investment share of absorption
  MPCX(H,SIM)           marginal propensity to save for dom non-gov inst ins
  MPCADJX(SIM)          savings rate scaling factor
  NETPERMITX(SIM)       Net import of CO2 permits
  PAX(A,SIM)            output price of activity a
  PCAPX(A,SIM)          price of capital in activity a
  PCGAX(A,CGA,SIM)      quantity of intermediate commodity group CGA
  PCGHX(H,CGH,SIM)      The price of household commodity group CGH
  PDSX(C,SIM)           supply price for com'y c produced & sold domestically
  PEX(C,SIM)            price of exports
  PIX(A,FCAP,SIM)       price of investments in activity a
  PLABX(A,SIM)          price of labour in activity a
  PLEOX(A,SIM)          price of leontief aggregate in activity a
  PPERMITX(SIM)         exogenous price of emission permits
  PMX(C,SIM)            price of imports
  PQX(C,SIM)            price of composite good c
  PSCX(A,SIM)           part of price all inputs less leontiefs
  PSUBX(A,SIM)          part of price covering aggregate substitutables
  PSUBIX(A,SIM)         part of price covering aggregate substitutable intermediats
  PWEX(C,SIM)           world price of exports
  PWMX(C,SIM)           world price of imports
  PXX(C,SIM)            average output price
  QAX(A,SIM)            level of domestic activity
  QAGGINVX(A,FCAP,SIM)  quantity of aggregated fixed investment demand
  QCAPX(A,SIM)          Capital stock in activity A (total for all kinds of capital)
  QCGAX(A,CGA,SIM)      quantity of intermediate commodity group CGA
  QCGHX(H,CGH,SIM)      The price of household commodity group CGH
  QDX(C,SIM)            quantity of domestic sales
  QEX(C,SIM)            quantity of exports
  QFX(F,A,SIM)          quantity demanded of factor f from activity a
  QFSX(F,SIM)           quantity of factor supply
  QGX(C,SIM)            quantity of government consumption
  QHX(H,C,CGH,SIM)      quantity consumed of marketed commodity c by household h
  QINTX(C,A,SIM)        quantity of intermediate demand for c from activity a
  QINVX(C,A,FCAP,SIM)   quantity of fixed investment demand
  QLABX(A,SIM)          qunatity of labour in activity A (total for all kinds of labour)
  QLEOX(A,SIM)          quantity of aggregate leontief intermediate inputs
  QMX(C,SIM)            quantity of imports
  QPERMITX(A,SIM)       domestic supply of emission permits
  QQX(C,SIM)            quantity of composite goods supply
  QTX(C,SIM)            quantity of trade margins demand for commodity c
  QSCX(A,SIM)           quantity of aggregate inputs less leontief intermediats
  QSUBX(A,SIM)          quantity of aggregate substitutables part of production
  QSUBIX(A,SIM)         quantity of aggregate substitutable intermediats part of production
  QXX(C,SIM)            quantity of aggregate marketed commodity output
  TABSX(SIM)            total absorption
  TFLABX(FLAB,SIM)      rate of direct tax on labour (soc sec and income tax)
  TFINX(SIM)            rate of direct tax on financial return (soc sec and income tax)
  TINSX(H,SIM)          rate of direct tax on domestic institutions ins
  TINSADJX(SIM)         direct tax scaling factor
  TMX(C,P,SIM)          trade margins for purchaser P when purchasing commodity C
  TMIX(C,A,SIM)         transaction costs for activity a when investing in commodity C
  TQX(C,P,SIM)          quantity taxes in simulations
  TQIX(C,A,SIM)         quabtity taxes on investments in simulations
  TVX(C,P,SIM)          value tax on commodity c when purchased of purchaser P
  TVIX(C,A,SIM)         value tax on investments in simulations
  WALRASX(SIM)          savings-investment imbalance (should be zero)
  WALRASSQRX(SIM)       Walras squared
  WEALTHX(H,SIM)        wealth in household h
  WFX(F,SIM)            economy-wide wage (rent) for factor f
  WFDISTX(F,A,SIM)      factor wage distortion variable
  YFINX(A,SIM)          income of domestic financial asset a
  YFLABX(FLAB,SIM)      labour income from domestic activities
  YGX(SIM)              total current government income
  YHX(H,SIM)            income of (domestic non-governmental) institution ins
  YIFLX(INSD,FLAB,SIM)  income of institution ins from labour flab
  YIFINX(INSD,SIM)      income of institution ins from domestic finacial assets
  WFAX(F,A,SIM)         price of factor f for activity a

;

* Other report parameters.

PARAMETERS
 REPSAM(SIM,AC,ACP)     Micro SAM for simulations
 REPBALCH(SIM,AC)       CHECK PARAMETER FOR SAM IN SIMULATIONS

*National accounts data=====================================
 GDPTAB1(KGDP,IGDP,SIM) GDP and national accounts
 GDPTAB2(KGDP,AC,SIM)   GDP at factor cost by activity

*Macro and factor closures=================================
 MACCLOS(*,SIM)         Macro closures actually used (by sim)
 FACCLOS(F,*,SIM)       Factor closures actually used (by sim and f)

*Balance of payments related data==========================
 EXPIM(EXPS,C,SIM)      Export import and netexport on commodity level
 IMVAR(IMVS,SIM)        Some important variables to be reported

*GOVERNMENT REPORTS =======================================
 GOVBUD(BUP,SIM)        Government Budget

*Post-calculated report parameters=========================
*EV table

  ICX(H,SIM)            indirect compensation function by hhd h and simulation sim
  EVX(H,SIM)            equivalent variation fn by hhd h and simulation sim
  EVXP(H,SIM)           equivalent variation as percentage of household consumption in base

*% change in LOOP parameters: above parameter name + P
*For base, these parameters show the base value.(%ch)

  CPIXP(SIM)            consumer price index (based on purchaser prices) (%ch)
  EGXP(SIM)             total current government expenditure (%ch)
  EHXP(H,SIM)           household consumption expenditure (%ch)
  EXRXP(SIM)            exchange rate (%ch)
  FSAVXP(SIM)           foreign savings in domestic currency (%ch)
  FTMXP(C,P,SIM)        fix part of trade margin (%cH)
  GADJXP(SIM)           government demand scaling factor (%ch)
  GOVSHRXP(SIM)         govt consumption share of absorption (%ch)
  GRPROFXP(A,FCAP,SIM)  gross profits in activity a  (%ch)
  GSAVXP(SIM)           government savings (%ch)
  IADJXP(A,FCAP,SIM)    investment scaling factor (for fixed capital formation) (%ch)
  INVSHRXP(SIM)         investment share of absorption (%ch)
  MPCXP(H,SIM)          marginal propensity to save for dom non-gov inst ins (%ch)
  MPCADJXP(SIM)         savings rate scaling factor (%ch)
  PAXP(A,SIM)           output price of activity a (%ch)
  PCGAXP(A,CGA,SIM)     quantity of intermediate commodity group CGA (%ch)
  PCGHXP(H,CGH,SIM)     The price of household commodity group CGH (%ch)
  PDSXP(C,SIM)          supply price for com'y c produced & sold domestically (%ch)
  PEXP(C,SIM)           price of exports (%ch)
  PIXP(A,FCAP,SIM)      price of investments in activity a (%ch)
  PLEOXP(A,SIM)         price of intermediate aggregate (%ch)
  PMXP(C,SIM)           price of imports (%ch)
  PQXP(C,SIM)           price of composite good c (%ch)
  PSUBXP(A,SIM)         part of price covering aggregate substitutables (%ch)
  PWEXP(C,SIM)          world price of exports (%ch)
  PWMXP(C,SIM)          world price of imports (%ch)
  PXXP(C,SIM)           average output price (%ch)
  QAXP(A,SIM)           level of domestic activity (%ch)
  QAGGINVXP(A,FCAP,SIM) quantity of aggregated fixed investment demand  (%cH)
  QCGAXP(A,CGA,SIM)     quantity of intermediate commodity group CGA  (%cH)
  QCGHXP(H,CGH,SIM)     The price of household commodity group CGH   (%cH)
  QDXP(C,SIM)           quantity of domestic sales (%ch)
  QEXP(C,SIM)           quantity of exports (%ch)
  QFXP(F,A,SIM)         quantity demanded of factor f from activity a (%ch)
  QFSXP(F,SIM)          quantity of factor supply (%ch)
  QGXP(C,SIM)           quantity of government consumption (%ch)
  QHXP(H,C,CGH,SIM)     quantity consumed of marketed commodity c by household h (%ch)
  QINTXP(C,A,SIM)       quantity of intermediate demand for c from activity a (%ch)
  QINVXP(C,A,FCAP,SIM)  quantity of fixed investment demand (%ch)
  QLEOXP(A,SIM)         quantity of aggregate leontief intermediate input (%ch)
  QMXP(C,SIM)           quantity of imports (%ch)
  QQXP(C,SIM)           quantity of composite goods supply (%ch)
  QSUBXP(A,SIM)         quantity of aggregate substitutables part of production (%ch)
  QTXP(C,SIM)           quantity of trade and transport demand for commodity c (%ch)
  QXXP(C,SIM)           quantity of aggregate marketed commodity output (%ch)
  TABSXP(SIM)           total absorption (%ch)
  TFINXP(SIM)           rate of direct tax on financial return (soc sec and income tax) (%cH)
  TFLABXP(FLAB,SIM)     rate of direct tax on labour (soc sec and income tax) (%cH)
  TINSXP(H,SIM)         rate of direct tax on domestic institutions ins (%ch)
  TMXP(C,P,SIM)         transaction costs for purchaser P when purchasing commodity C (%ch)
  TMIXP(C,A,SIM)        transaction costs for purchaser P when purchasing commodity C (%ch)
  TQXP(C,P,SIM)         quantity tax on commodity c when purchased of purchaser P  (%cH)
  TQIXP(C,A,SIM)        quantity tax on commodity c when purchased of activity a  (%cH)
  TVXP(C,P,SIM)         value tax on commodity c when purchased of purchaser P  (%cH)
  TVIXP(C,A,SIM)        value tax on commodity c when purchased of activity a   (%cH)
  WFXP(F,SIM)           economy-wide wage (rent) for factor f (%ch)
  WFAXP(F,A,SIM)        price of factor f for activity a (%ch)
  WFDISTXP(F,A,SIM)     factor wage distortion variable (%ch)
  YFINXP(A,SIM)         income of domestic financial asset a  (%cH)
  YFLABXP(FLAB,SIM)     labour income from domestic activities  (%cH)
  YGXP(SIM)             total current government income  (%cH)
  YHXP(H,SIM)           income of (domestic non-governmental) institution ins  (%cH)
  YIFINXP(INSD,SIM)     income of institution ins from domestic finacial assets (%cH)
  YIFLXP(INSD,FLAB,SIM) income of institution ins from labour flab  (%cH)


  REPSAMP(SIM,AC,ACP)   Micro SAM for simulations  (%ch)
  GDPTAB1P(KGDP,IGDP,SIM) GDP and national accounts  (%ch)
  GDPTAB2P(KGDP,AC,SIM) GDP at factor cost by activity (%ch)

  EXPIMP(EXPS,C,SIM)    Export import and netexport on commodity level(%ch)
  IMVARP(IMVS,SIM)      Some important variables to be reported (%ch)
  GOVBUDP(BUP,SIM)    Government Budget (%ch)


*Consistency and solution checks========================================

 GDPGAP(SIM)            gaps in GDP reports
 SOLVEREP(SOLVEIND,MODTYPE,SIM) model+solver status & no of redef eq'ons by model type

 NEGPWARN(C,SIM)        comm c has one or more neg'e prices for sim'on sim
 NEGQWARN(C,SIM)        comm c has one or more neg'e qnties for sim'on sim
 NEGWFWARN(F,SIM)       factor f has one or more neg'e wages for sim'on sim
 NEGQFWARN(F,SIM)       factor f has one or more neg'e qnties for sim'on sim

 GAPWARN(SIM)           error if abs gap above cutoff
 WALRASWARN(SIM)        error if abs value of WALRAS above cutoff
 SOLVEWARN(SOLVEIND,MODTYPE,SIM)   error if values of SOLVEREP are illegal
 ;


*#*#*#*#*# THE END OF REPPAR.GMS #*#*#*#*
