$STITLE Input file: REPPERC.GMS. % changes in report parameters. Static CGE model LS01


*Calculation of equivalent variation
  ICX(H,SIMCUR)   =   ((EHX(H,SIMCUR)
               - SUM(CP, FTMX(CP,H,SIMCUR)*(1+TVX(CP,H,SIMCUR)))
               - SUM(CGHP, PCGHX(H,CGHP,SIMCUR)*scaling*gamma(CGHP,H)))
               / PROD(CGHP, PCGHX(H,CGHP,SIMCUR)**beta(CGHP,H)))
               * PROD(CGHP, PCGHX(H,CGHP,'BASE')**beta(CGHP,H))
               + SUM(CGHP, PCGHX(H,CGHP,'BASE')*scaling*gamma(CGHP,H))   ;

  EVX(H,SIMCUR)     =   ICX(H,SIMCUR) - EHX(H,'BASE')
                        + SUM(CP, FTMX(CP,H,'BASE')*(1+TVX(CP,H,'BASE')));


  EVXP(H,SIMCUR)      =    100 * EVX(H,SIMCUR)/EHX(H,'BASE')   ;



$ontext
For the above formulas se;

Blonigen, Bruce A., Joseph E. Flynn, and Kenneth A. Reinert
(1997) Sector-Focused General Equilibrium Modeling, pp. 189-230
in eds. Joseph F. Francois and Kenneth A. Reinert, Applied Methods
for Trade Policy Analysis. Cambridge, MA: Cambridge University Press
The formulas are on pp. 224-225.

$offtext

*Computing %-age changes

  CPIXP(SIMCUR)$CPIX('BASE')
     = 100*(CPIX(SIMCUR)/CPIX('BASE') - 1);
  EGXP(SIMCUR)$EGX('BASE')
     = 100*(EGX(SIMCUR)/EGX('BASE') - 1);
  EHXP(H,SIMCUR)$EHX(H,'BASE')
     = 100*(EHX(H,SIMCUR)/EHX(H,'BASE') - 1);
  EXRXP(SIMCUR)$EXRX('BASE')
     = 100*(EXRX(SIMCUR)/EXRX('BASE') - 1);
  FSAVXP(SIMCUR)$FSAVX('BASE')
     = 100*(FSAVX(SIMCUR)/FSAVX('BASE') - 1);
  FTMXP(C,P,SIMCUR)$FTMX(C,P,'BASE')
     = 100*(FTMX(C,P,SIMCUR)/FTMX(C,P,'BASE') -1);
  GADJXP(SIMCUR)$GADJX('BASE')
     = 100*(GADJX(SIMCUR)/GADJX('BASE') - 1);
  GOVSHRXP(SIMCUR)$GOVSHRX('BASE')
     = 100*(GOVSHRX(SIMCUR)/GOVSHRX('BASE') - 1);
  GRPROFXP(A,FCAP,SIMCUR)$GRPROFX(A,FCAP,'BASE')
     = 100*(GRPROFX(A,FCAP,SIMCUR)/GRPROFX(A,FCAP,'BASE') - 1);
  GSAVXP(SIMCUR)$GSAVX('BASE')
     = 100*(GSAVX(SIMCUR)/GSAVX('BASE') - 1);
  IADJXP(A,FCAP,SIMCUR)$IADJX(A,FCAP,'BASE')
     = 100*(IADJX(A,FCAP,SIMCUR)/IADJX(A,FCAP,'BASE') - 1);
  INVSHRXP(SIMCUR)$INVSHRX('BASE')
     = 100*(INVSHRX(SIMCUR)/INVSHRX('BASE') - 1);
  MPCXP(H,SIMCUR)$MPCX(H,'BASE')
     = 100*(MPCX(H,SIMCUR)/MPCX(H,'BASE') - 1);
  MPCADJXP(SIMCUR)$MPCADJX('BASE')
     = 100*(MPCADJX(SIMCUR)/MPCADJX('BASE') - 1);
  PAXP(A,SIMCUR)$PAX(A,'BASE')
     = 100*(PAX(A,SIMCUR)/PAX(A,'BASE') - 1);
  PCGAXP(A,CGA,SIMCUR)$PCGAX(A,CGA,'BASE')
     = 100*(PCGAX(A,CGA,SIMCUR)/PCGAX(A,CGA,'BASE') - 1);
  PCGHXP(H,CGH,SIMCUR)$PCGHX(H,CGH,'BASE')
     = 100*(PCGHX(H,CGH,SIMCUR)/PCGHX(H,CGH,'BASE') - 1);
  PDSXP(C,SIMCUR)$PDSX(C,'BASE')
     = 100*(PDSX(C,SIMCUR)/PDSX(C,'BASE') - 1);
  PEXP(C,SIMCUR)$PEX(C,'BASE')
     = 100*(PEX(C,SIMCUR)/PEX(C,'BASE') - 1);
  PIXP(A,FCAP,SIMCUR)$PIX(A,FCAP,'BASE')
     = 100*(PIX(A,FCAP,SIMCUR)/PIX(A,FCAP,'BASE') - 1);
  PLEOXP(A,SIMCUR)$PLEOX(A,'BASE')
     = 100*(PLEOX(A,SIMCUR)/PLEOX(A,'BASE') - 1);
  PMXP(C,SIMCUR)$PMX(C,'BASE')
     = 100*(PMX(C,SIMCUR)/PMX(C,'BASE') - 1);
  PQXP(C,SIMCUR)$PQX(C,'BASE')
     = 100*(PQX(C,SIMCUR)/PQX(C,'BASE') - 1);
  PSUBXP(A,SIMCUR)$PSUBX(A,'BASE')
     = 100*(PSUBX(A,SIMCUR)/PSUBX(A,'BASE') - 1);
  PWEXP(C,SIMCUR)$PWEX(C,'BASE')
     = 100*(PWEX(C,SIMCUR)/PWEX(C,'BASE') - 1);
  PWMXP(C,SIMCUR)$PWMX(C,'BASE')
     = 100*(PWMX(C,SIMCUR)/PWMX(C,'BASE') - 1);
  PXXP(C,SIMCUR)$PXX(C,'BASE')
     = 100*(PXX(C,SIMCUR)/PXX(C,'BASE') - 1);
  QAXP(A,SIMCUR)$QAX(A,'BASE')
     = 100*(QAX(A,SIMCUR)/QAX(A,'BASE') - 1);
  QAGGINVXP(A,FCAP,SIMCUR)$QAGGINVX(A,FCAP,'BASE')
     = 100*(QAGGINVX(A,FCAP,SIMCUR)/QAGGINVX(A,FCAP,'BASE') - 1);
  QCGAXP(A,CGA,SIMCUR)$QCGAX(A,CGA,'BASE')
     = 100*(QCGAX(A,CGA,SIMCUR)/QCGAX(A,CGA,'BASE') - 1);
  QCGHXP(H,CGH,SIMCUR)$QCGHX(H,CGH,'BASE')
     = 100*(QCGHX(H,CGH,SIMCUR)/QCGHX(H,CGH,'BASE') - 1);
  QDXP(C,SIMCUR)$QDX(C,'BASE')
     = 100*(QDX(C,SIMCUR)/QDX(C,'BASE') - 1);
  QEXP(C,SIMCUR)$QEX(C,'BASE')
     = 100*(QEX(C,SIMCUR)/QEX(C,'BASE') - 1);
  QFXP(F,A,SIMCUR)$QFX(F,A,'BASE')
     = 100*(QFX(F,A,SIMCUR)/QFX(F,A,'BASE') - 1);
  QFSXP(F,SIMCUR)$QFSX(F,'BASE')
     = 100*(QFSX(F,SIMCUR)/QFSX(F,'BASE') - 1);
  QGXP(C,SIMCUR)$QGX(C,'BASE')
     = 100*(QGX(C,SIMCUR)/QGX(C,'BASE') - 1);
  QHXP(H,C,CGH,SIMCUR)$QHX(H,C,CGH,'BASE')
     = 100*(QHX(H,C,CGH,SIMCUR)/QHX(H,C,CGH,'BASE') - 1);
  QINTXP(C,A,SIMCUR)$QINTX(C,A,'BASE')
     = 100*(QINTX(C,A,SIMCUR)/QINTX(C,A,'BASE') - 1);
  QINVXP(C,A,FCAP,SIMCUR)$QINVX(C,A,FCAP,'BASE')
     = 100*(QINVX(C,A,FCAP,SIMCUR)/QINVX(C,A,FCAP,'BASE') - 1);
  QLEOXP(A,SIMCUR)$QLEOX(A,'BASE')
     = 100*(QLEOX(A,SIMCUR)/QLEOX(A,'BASE') - 1);
  QMXP(C,SIMCUR)$QMX(C,'BASE')
     = 100*(QMX(C,SIMCUR)/QMX(C,'BASE') - 1);
  QQXP(C,SIMCUR)$QQX(C,'BASE')
     = 100*(QQX(C,SIMCUR)/QQX(C,'BASE') - 1);
  QSUBXP(A,SIMCUR)$QSUBX(A,'BASE')
     = 100*(QSUBX(A,SIMCUR)/QSUBX(A,'BASE') - 1);
  QTXP(C,SIMCUR)$QTX(C,'BASE')
     = 100*(QTX(C,SIMCUR)/QTX(C,'BASE') - 1);
  QXXP(C,SIMCUR)$QXX(C,'BASE')
     = 100*(QXX(C,SIMCUR)/QXX(C,'BASE') - 1);
  TABSXP(SIMCUR)$TABSX('BASE')
     = 100*(TABSX(SIMCUR)/TABSX('BASE') - 1);
  TFINXP(SIMCUR)$TFINX('BASE')
     = 100*(TFINX(SIMCUR)/TFINX('BASE') - 1 );
  TFLABXP(FLAB,SIMCUR)$TFLABX(FLAB,'BASE')
     = 100*(TFLABX(FLAB,SIMCUR)/TFLABX(FLAB,'BASE') - 1 );
  TINSXP(H,SIMCUR)$TINSX(H,'BASE')
     = 100*(TINSX(H,SIMCUR)/TINSX(H,'BASE') - 1);
  TMXP(C,PNI,SIMCUR)$TMX(C,PNI,'BASE')
     = 100*(TMX(C,PNI,SIMCUR)/TMX(C,PNI,'BASE') - 1);
  TMIXP(C,A,SIMCUR)$TMIX(C,A,'BASE')
     = 100*(TMIX(C,A,SIMCUR)/TMIX(C,A,'BASE') - 1);
  TQXP(C,PNI,SIMCUR)$TQX(C,PNI,'BASE')
     = 100*(TQX(C,PNI,SIMCUR)/TQX(C,PNI,'BASE') - 1 );
  TQIXP(C,A,SIMCUR)$TQIX(C,A,'BASE')
     = 100*(TQIX(C,A,SIMCUR)/TQIX(C,A,'BASE') - 1);
  TVXP(C,PNI,SIMCUR)$TVX(C,PNI,'BASE')
     = 100*(TVX(C,PNI,SIMCUR)/TVX(C,PNI,'BASE') - 1 );
  TVIXP(C,A,SIMCUR)$TVIX(C,A,'BASE')
     = 100*(TVIX(C,A,SIMCUR)/TVIX(C,A,'BASE') - 1);
  WFXP(F,SIMCUR)$WFX(F,'BASE')
     = 100*(WFX(F,SIMCUR)/WFX(F,'BASE') - 1);
  WFAXP(F,A,SIMCUR)$WFAX(F,A,'BASE')
     = 100*(WFAX(F,A,SIMCUR)/WFAX(F,A,'BASE') - 1);
  WFDISTXP(F,A,SIMCUR)$WFDISTX(F,A,'BASE')
     = 100*(WFDISTX(F,A,SIMCUR)/WFDISTX(F,A,'BASE') - 1);
  YFINXP(A,SIMCUR)$YFINX(A,'BASE')
     = 100*(YFINX(A,SIMCUR)/YFINX(A,'BASE') - 1);
  YFLABXP(FLAB,SIMCUR)$YFLABX(FLAB,'BASE')
     = 100*(YFLABX(FLAB,SIMCUR)/YFLABX(FLAB,'BASE') - 1);
  YGXP(SIMCUR)$YGX('BASE')
     = 100*(YGX(SIMCUR)/YGX('BASE') - 1);
  YHXP(H,SIMCUR)$YHX(H,'BASE')
     = 100*(YHX(H,SIMCUR)/YHX(H,'BASE') - 1);
  YIFINXP(INSD,SIMCUR)$YIFINX(INSD,'BASE')
     = 100*(YIFINX(INSD,SIMCUR)/YIFINX(INSD,'BASE') - 1);
  YIFLXP(INSD,FLAB,SIMCUR)$YIFLX(INSD,FLAB,'BASE')
     = 100*(YIFLX(INSD,FLAB,SIMCUR)/YIFLX(INSD,FLAB,'BASE') - 1);


  REPSAMP(SIMCUR,AC,ACP)$REPSAM('BASE',AC,ACP)
     = 100*(REPSAM(SIMCUR,AC,ACP)/REPSAM('BASE',AC,ACP)-1);
  GDPTAB1P(KGDP,IGDP,SIMCUR)$GDPTAB1(KGDP,IGDP,'BASE')
     = 100*(GDPTAB1(KGDP,IGDP,SIMCUR)/GDPTAB1(KGDP,IGDP,'BASE') - 1);
  GDPTAB2P(KGDP,AC,SIMCUR)$GDPTAB2(KGDP,AC,'BASE')
     = 100*(GDPTAB2(KGDP,AC,SIMCUR)/GDPTAB2(KGDP,AC,'BASE') - 1);
  EXPIMP(EXPS,C,SIMCUR)$EXPIM(EXPS,C,'BASE')
     = 100*(EXPIM(EXPS,C,SIMCUR)/EXPIM(EXPS,C,'BASE') - 1);
  IMVARP(IMVS,SIMCUR)$IMVAR(IMVS,'BASE')
     = 100*(IMVAR(IMVS,SIMCUR)/IMVAR(IMVS,'BASE') - 1);
  GOVBUDP(BUPNT,SIMCUR)$GOVBUD(BUPNT,'BASE')
     = 100*(GOVBUD(BUPNT,SIMCUR)/GOVBUD(BUPNT,'BASE') - 1);


*-------substitute base with basevalue


  CPIXP('BASE')               =           CPIX('BASE')                ;
  EGXP('BASE')                =           EGX('BASE')                 ;
  EHXP(H,'BASE')              =           EHX(H,'BASE')               ;
  EXRXP('BASE')               =           EXRX('BASE')                ;
  FSAVXP('BASE')              =           FSAVX('BASE')               ;
  FTMXP(C,P,'BASE')           =           FTMX(C,P,'BASE')            ;
  GADJXP('BASE')              =           GADJX('BASE')               ;
  GOVSHRXP('BASE')            =           GOVSHRX('BASE')             ;
  GRPROFXP(A,FCAP,'BASE')     =           GRPROFX(A,FCAP,'BASE')      ;
  GSAVXP('BASE')              =           GSAVX('BASE')               ;
  IADJXP(A,FCAP,'BASE')       =           IADJX(A,FCAP,'BASE')        ;
  INVSHRXP('BASE')            =           INVSHRX('BASE')             ;
  MPCXP(H,'BASE')             =           MPCX(H,'BASE')              ;
  MPCADJXP('BASE')            =           MPCADJX('BASE')             ;
  PAXP(A,'BASE')              =           PAX(A,'BASE')               ;
  PCGAXP(A,CGA,'BASE')        =           PCGAX(A,CGA,'BASE')         ;
  PCGHXP(H,CGH,'BASE')        =           PCGHX(H,CGH,'BASE')         ;
  PDSXP(C,'BASE')             =           PDSX(C,'BASE')              ;
  PEXP(C,'BASE')              =           PEX(C,'BASE')               ;
  PIXP(A,FCAP,'BASE')         =           PIX(A,FCAP,'BASE')          ;
  PLEOXP(A,'BASE')            =           PLEOX(A,'BASE')             ;
  PMXP(C,'BASE')              =           PMX(C,'BASE')               ;
  PQXP(C,'BASE')              =           PQX(C,'BASE')               ;
  PSUBXP(A,'BASE')            =           PSUBX(A,'BASE')             ;
  PWEXP(C,'BASE')             =           PWEX(C,'BASE')              ;
  PWMXP(C,'BASE')             =           PWMX(C,'BASE')              ;
  PXXP(C,'BASE')              =           PXX(C,'BASE')               ;
  QAXP(A,'BASE')              =           QAX(A,'BASE')               ;
  QAGGINVXP(A,FCAP,'BASE')    =           QAGGINVX(A,FCAP,'BASE')     ;
  QCGAXP(A,CGA,'BASE')        =           QCGAX(A,CGA,'BASE')         ;
  QCGHXP(H,CGH,'BASE')        =           QCGHX(H,CGH,'BASE')         ;
  QDXP(C,'BASE')              =           QDX(C,'BASE')               ;
  QEXP(C,'BASE')              =           QEX(C,'BASE')               ;
  QFXP(F,A,'BASE')            =           QFX(F,A,'BASE')             ;
  QFSXP(F,'BASE')             =           QFSX(F,'BASE')              ;
  QGXP(C,'BASE')              =           QGX(C,'BASE')               ;
  QHXP(H,C,CGH,'BASE')        =           QHX(H,C,CGH,'BASE')         ;
  QINTXP(C,A,'BASE')          =           QINTX(C,A,'BASE')           ;
  QINVXP(C,A,FCAP,'BASE')     =           QINVX(C,A,FCAP,'BASE')      ;
  QLEOXP(A,'BASE')            =           QLEOX(A,'BASE')             ;
  QMXP(C,'BASE')              =           QMX(C,'BASE')               ;
  QQXP(C,'BASE')              =           QQX(C,'BASE')               ;
  QSUBXP(A,'BASE')            =           QSUBX(A,'BASE')             ;
  QTXP(C,'BASE')              =           QTX(C,'BASE')               ;
  QXXP(C,'BASE')              =           QXX(C,'BASE')               ;
  TABSXP('BASE')              =           TABSX('BASE')               ;
  TFINXP('BASE')              =           TFINX('BASE')               ;
  TFLABXP(FLAB,'BASE')        =           TFLABX(FLAB,'BASE')         ;
  TINSXP(H,'BASE')            =           TINSX(H,'BASE')             ;
  TMXP(C,PNI,'BASE')          =           TMX(C,PNI,'BASE')           ;
  TMIXP(C,A,'BASE')           =           TMIX(C,A,'BASE')            ;
  TQXP(C,P,'BASE')            =           TQX(C,P,'BASE')             ;
  TQIXP(C,A,'BASE')           =           TQIX(C,A,'BASE')            ;
  TVXP(C,P,'BASE')            =           TVX(C,P,'BASE')             ;
  TVIXP(C,A,'BASE')           =           TVIX(C,A,'BASE')            ;
  WFXP(F,'BASE')              =           WFX(F,'BASE')               ;
  WFDISTXP(F,A,'BASE')        =           WFDISTX(F,A,'BASE')         ;
  YFINXP(A,'BASE')            =           YFINX(A,'BASE')             ;
  YFLABXP(FLAB,'BASE')        =           YFLABX(FLAB,'BASE')         ;
  YGXP('BASE')                =           YGX('BASE')                 ;
  YHXP(H,'BASE')              =           YHX(H,'BASE')               ;
  YIFINXP(INSD,'BASE')        =           YIFINX(INSD,'BASE')         ;
  YIFLXP(INSD,FLAB,'BASE')    =           YIFLX(INSD,FLAB,'BASE')     ;
  WFAXP(F,A,'BASE')           =           WFAX(F,A,'BASE')            ;

  REPSAMP('BASE',AC,ACP)      =           REPSAM('BASE',AC,ACP)       ;
  GDPTAB1P(KGDP,IGDP,'BASE')  =           GDPTAB1(KGDP,IGDP,'BASE')   ;
  GDPTAB2P(KGDP,AC,'BASE')    =           GDPTAB2(KGDP,AC,'BASE')     ;
  EXPIMP(EXPS,C,'BASE')       =           EXPIM(EXPS,C,'BASE')        ;
  IMVARP(IMVS,'BASE')         =           IMVAR(IMVS,'BASE')          ;
  GOVBUDP(BUPNT,'BASE')       =           GOVBUD(BUPNT,'BASE')        ;
*#*#*#*#*# THE END OF REPPERC.GMS #*#*#*#*
