$STITLE Input file: SIMSAM.GMS. Report on simulations. Static CGE model LS01

$ontext

This is an include file to SIMREP.GMS that produces a micro SAM based on data
from the simulations.

$offtext



*Defining SAM cells==============

 MICROSAM(C,A)    =  PQ.L(C)*QINT.L(C,A);
 MICROSAM('TMT',A)   = SUM(C, TM.L(C,A)*QINT.L(C,A)+FTM.L(C,A));
 MICROSAM('TQT',A)    = SUM(C, tq(C,A)*QINT.L(C,A));
 MICROSAM('TVT',A)    =
            SUM(C, tv(C,A)*((tq(C,A)+TM.L(C,A)+PQ.L(C))*QINT.L(C,A)+FTM.L(C,A)));
 MICROSAM('ACTTAX',A) =  ta(A)*PA.L(A)*QA.L(A);


 MICROSAM(F,A)    =  WF.L(F)*wfdist.L(F,A)*QF.L(F,A);

 MICROSAM(A,C)    =  theta(A,C)*QA.L(A)*PX.L(C);

 MICROSAM('ROW',C)    =  pwm.L(C)*QM.L(C)*EXR.L;
 MICROSAM('IMPTAX',C) =  pwm.L(C) * tar(C) * EXR.L * QM.L(C);
 MICROSAM('EXPTAX',C) =  pwe.L(C) * te(C) * EXR.L * QE.L(C);

 MICROSAM(CTR,'TMT')   = QT.L(CTR)*PQ.L(CTR)  ;


 MICROSAM('FACTAX',FLAB) =  TFLAB.L(FLAB)*(YFLAB.L(FLAB)- labout(FLAB)*
                           SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)));
 MICROSAM('FACTAX','STOCK') = TFIN.L*SUM(A, (1- finout(A))* YFIN.L(A))+TFIN.L*finin*EXR.L;
 MICROSAM('STOCK',FCAP)     = SUM(A, WF.L(FCAP)*wfdist.L(FCAP,A)*QF.L(FCAP,A));
 MICROSAM('STOCK',FLAND)     = SUM(A, WF.L(FLAND)*wfdist.L(FLAND,A)*QF.L(FLAND,A));
 MICROSAM(H,FLAB)  =  YIFL.L(H,FLAB);
 MICROSAM(H,'STOCK')   =  YIFIN.L(H);
 MICROSAM('GOV',FLAB)   =  YIFL.L('GOV',FLAB);
 MICROSAM('GOV','STOCK')    =  YIFIN.L('GOV');
 MICROSAM('ROW',FLAB)   =   labout(FLAB)*SUM(A,  WF.L(FLAB)*wfdist.L(FLAB,A)*QF.L(FLAB,A)) ;
 MICROSAM('ROW','STOCK')    =   SUM(A, finout(A)*  YFIN.L(A)) ;
 MICROSAM(C,H)    = SUM(CGH, PQ.L(C)*QH.L(H,C,CGH));
 MICROSAM('TMT',H)   = SUM(C, TM.L(C,H)*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H));
 MICROSAM('TQT',H)    = SUM(C, tq(C,H)*SUM(CGH, QH.L(H,C,CGH)));
 MICROSAM('TVT',H)    = SUM(C, tv(C,H)*
                ((tq(C,H)+TM.L(C,H)+PQ.L(C))*SUM(CGH, QH.L(H,C,CGH))+FTM.L(C,H)));
 MICROSAM('INSTAX',H) =  TINS.L(H)*YH.L(H);
 MICROSAM('S-I',H)    = (1-MPC.L(H)) * ((1 - TINS.L(H)) * YH.L(H)
            -trnsfr('ROW',H))- cint(H)*WEALTH.L(H);
 MICROSAM('ROW',H)    =  trnsfr('ROW',H);


 MICROSAM(C,'GOV')    =  PQ.L(C)*QG.L(C);
 MICROSAM('TMT','GOV')   = SUM((C), TM.L(C,'GOV')*QG.L(C)+FTM.L(C,'GOV'));
 MICROSAM('TQT','GOV')    = SUM((C), tq(C,'GOV')*QG.L(C));
 MICROSAM('TVT','GOV')    = SUM((C), tv(C,'GOV')*
               ((tq(C,'GOV')+TM.L(C,'GOV')+PQ.L(C))*QG.L(C)+FTM.L(C,'GOV')));

 MICROSAM(INSD,'GOV')    =  trnsfr(INSD,'GOV')*CPI.L;
 MICROSAM('S-I','GOV')    = GSAV.L ;
 MICROSAM('ROW','GOV')    = trnsfr('ROW','GOV') + NETPERMIT.L;
 MICROSAM('STOCK','GOV')    = SUM(AETS, Qpermit(AETS))*Ppermit;

 MICROSAM(C,'ROW')    =  (pwe.L(C)*EXR.L - TM.L(C,'ROW'))*QE.L(C);
 MICROSAM('TMT','ROW')   =  SUM(C, TM.L(C,'ROW')*QE.L(C));
 MICROSAM(FLAB,'ROW')    =  labin(FLAB)*EXR.L;
 MICROSAM('STOCK','ROW')    =  finin*EXR.L;
 MICROSAM(H,'ROW')    =  trnsfr(H,'ROW')*EXR.L;
 MICROSAM('GOV','ROW')    = trnsfr('GOV','ROW')*EXR.L;
 MICROSAM('S-I','ROW')    = FSAV.L ;

 MICROSAM(C,'S-I') =  SUM((A,FCAP), PQ.L(C)*QINV.L(C,A,FCAP)) ;
 MICROSAM(C,'DSTK') =  PQ.L(C)*qdst(C);
 MICROSAM('TMT','S-I')   = SUM((C,A), TMI.L(C,A)*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A));
 MICROSAM('TQT','S-I')    = SUM((C,A,FCAP), tqi(C,A)*QINV.L(C,A,FCAP));
 MICROSAM('TVT','S-I')    = SUM((C,A), tvi(C,A)*
               ((tqi(C,A)+TMI.L(C,A)+PQ.L(C))*SUM(FCAP, QINV.L(C,A,FCAP))+FTMINV.L(C,A)));

 MICROSAM('DSTK','S-I')    =   SUM(C, PQ.L(C)*qdst(C));

 MICROSAM('TOTAL', AC) = 0;
 MICROSAM(AC,'TOTAL')   = 0;

 MICROSAM('GOV',TX)  = SUM(AC, MICROSAM(TX,AC));


*Computing account totals========



 MICROSAM('TOTAL', ACNTP) = SUM(ACNT,  MICROSAM(ACNT,ACNTP));
 MICROSAM(ACNT,'TOTAL')   = SUM(ACNTP, MICROSAM(ACNT,ACNTP));


*Checking account balances=======

 BALCHKMI2(ACNT) = MICROSAM('TOTAL',ACNT) - MICROSAM(ACNT,'TOTAL');


 MICCHK(ACNT)$(ABS(BALCHKMI2(ACNT)) GT 0.01) = 1/0;


*==========

OPTION MICROSAM:2;
DISPLAY BALCHKMI2
MICCHK,
MICROSAM;
